library verilog;
use verilog.vl_types.all;
entity AB_CM is
    port(
        SYS_CLK         : in     vl_logic;
        SYS_RESET       : in     vl_logic;
        VAREF           : inout  vl_logic;
        DATAVALID       : out    vl_logic;
        AV0             : in     vl_logic;
        AV1             : in     vl_logic;
        AV2             : in     vl_logic;
        AV3             : in     vl_logic;
        AV4             : in     vl_logic;
        AV5             : in     vl_logic;
        AC0             : in     vl_logic;
        AC1             : in     vl_logic;
        AC2             : in     vl_logic;
        AC3             : in     vl_logic;
        AC4             : in     vl_logic;
        AC5             : in     vl_logic;
        ASSC_DONE       : out    vl_logic;
        ASSC_WAIT       : out    vl_logic;
        ASSC_CHSAT      : out    vl_logic;
        ASSC_CHLATD     : out    vl_logic;
        INIT_ADDR       : in     vl_logic_vector(8 downto 0);
        INIT_DATA       : in     vl_logic_vector(8 downto 0);
        INIT_ACM_WEN    : in     vl_logic;
        INIT_ASSC_WEN   : in     vl_logic;
        INIT_EV_WEN     : in     vl_logic;
        INIT_TR_WEN     : in     vl_logic;
        INIT_DONE       : in     vl_logic;
        ADC_RESULT      : out    vl_logic_vector(11 downto 0);
        ADC_CHNUMBER    : out    vl_logic_vector(4 downto 0)
    );
end AB_CM;
