library verilog;
use verilog.vl_types.all;
entity INITCFG_XC is
    generic(
        MAX_CLIENT      : integer := 4;
        MAX_CLIENT_BITS : integer := 2;
        MAX_WORD_BIT    : integer := 10
    );
    port(
        xaa             : in     vl_logic_vector;
        xab             : in     vl_logic_vector;
        xac             : in     vl_logic;
        xad             : in     vl_logic_vector;
        xae             : in     vl_logic;
        xaf             : in     vl_logic;
        xag             : in     vl_logic_vector;
        xah             : in     vl_logic_vector(17 downto 0);
        xai             : in     vl_logic_vector;
        xaj             : in     vl_logic_vector;
        xak             : in     vl_logic_vector;
        xal             : in     vl_logic_vector;
        xam             : in     vl_logic_vector;
        xan             : in     vl_logic;
        xao             : in     vl_logic;
        xap             : in     vl_logic;
        xaq             : in     vl_logic;
        xar             : in     vl_logic_vector(17 downto 0);
        xas             : in     vl_logic;
        xat             : in     vl_logic_vector(31 downto 0);
        xau             : in     vl_logic;
        xav             : in     vl_logic;
        xaw             : in     vl_logic;
        xax             : in     vl_logic;
        xay             : in     vl_logic;
        xaz             : in     vl_logic;
        xba             : in     vl_logic;
        xbb             : in     vl_logic;
        xbc             : in     vl_logic;
        xbd             : in     vl_logic;
        xbe             : in     vl_logic;
        xbf             : in     vl_logic;
        xbg             : in     vl_logic;
        xbh             : in     vl_logic_vector(1 downto 0);
        xbi             : in     vl_logic;
        xbj             : in     vl_logic;
        xbk             : in     vl_logic;
        xbl             : in     vl_logic;
        xbm             : out    vl_logic_vector(17 downto 0);
        xbn             : out    vl_logic;
        xbo             : out    vl_logic_vector(31 downto 0);
        xbp             : out    vl_logic;
        xbq             : out    vl_logic;
        xbr             : out    vl_logic;
        xbs             : out    vl_logic;
        xbt             : out    vl_logic;
        xbu             : out    vl_logic;
        xbv             : out    vl_logic;
        xbw             : out    vl_logic;
        xbx             : out    vl_logic;
        xby             : out    vl_logic;
        xbz             : out    vl_logic;
        xca             : out    vl_logic;
        xcb             : out    vl_logic;
        xcc             : out    vl_logic_vector(1 downto 0);
        xcd             : out    vl_logic;
        xce             : out    vl_logic_vector(17 downto 0);
        xcf             : out    vl_logic;
        xcg             : out    vl_logic_vector(1 downto 0);
        xch             : out    vl_logic;
        xci             : out    vl_logic;
        xcj             : out    vl_logic_vector;
        xck             : out    vl_logic;
        xcl             : out    vl_logic;
        xcm             : out    vl_logic
    );
end INITCFG_XC;
