library verilog;
use verilog.vl_types.all;
entity stimulus is
    port(
        SYSCLK          : out    vl_logic;
        SYSRSTn         : out    vl_logic;
        VAREF           : inout  vl_logic;
        AV0             : out    vl_logic;
        AC0             : out    vl_logic;
        AV1             : out    vl_logic;
        AC1             : out    vl_logic;
        AV2             : out    vl_logic;
        AC2             : out    vl_logic;
        AV3             : out    vl_logic;
        AC3             : out    vl_logic;
        AV4             : out    vl_logic;
        AC4             : out    vl_logic;
        AV5             : out    vl_logic;
        AC5             : out    vl_logic;
        Diff0           : in     vl_logic_vector(11 downto 0);
        Diff1           : in     vl_logic_vector(11 downto 0);
        Diff2           : in     vl_logic_vector(11 downto 0);
        Diff3           : in     vl_logic_vector(11 downto 0);
        Diff4           : in     vl_logic_vector(11 downto 0);
        Diff5           : in     vl_logic_vector(11 downto 0);
        Latest_Update   : in     vl_logic_vector(2 downto 0);
        New_Measurement : in     vl_logic;
        PUB             : out    vl_logic;
        SPARE           : in     vl_logic
    );
end stimulus;
