`timescale 1 ns/100 ps
// Version: 7.3 7.3.0.28


module Subtract(DataA,DataB,Sum);
input [11:0] DataA, DataB;
output [11:0] Sum;

    wire CinP, DataBInv_1_net, DataBInv_2_net, DataBInv_3_net, 
        DataBInv_4_net, DataBInv_5_net, DataBInv_6_net, 
        DataBInv_7_net, DataBInv_8_net, DataBInv_9_net, 
        DataBInv_10_net, DataBInv_11_net, INV_0_Y, AND2_32_Y, 
        AND2_22_Y, AND2_31_Y, AND2_40_Y, AND2_11_Y, AND2_20_Y, 
        AND2_39_Y, AND2_33_Y, AND2_10_Y, AND2_35_Y, AND2_28_Y, 
        AND2_19_Y, AND2_15_Y, XOR2_0_Y, XOR2_20_Y, XOR2_8_Y, 
        XOR2_4_Y, XOR2_2_Y, XOR2_10_Y, XOR2_19_Y, XOR2_17_Y, 
        XOR2_13_Y, XOR2_15_Y, XOR2_1_Y, AND2_36_Y, AO1_13_Y, 
        AND2_13_Y, AO1_2_Y, AND2_25_Y, AO1_12_Y, AND2_21_Y, 
        AO1_28_Y, AND2_29_Y, AO1_25_Y, AND2_16_Y, AO1_22_Y, 
        AND2_9_Y, AO1_26_Y, AND2_8_Y, AO1_16_Y, AND2_24_Y, 
        AO1_21_Y, AND2_14_Y, AND2_18_Y, AND2_38_Y, AO1_10_Y, 
        AND2_6_Y, AO1_24_Y, AND2_3_Y, AO1_19_Y, AND2_12_Y, 
        AO1_27_Y, AND2_41_Y, AO1_14_Y, AND2_34_Y, AO1_8_Y, 
        AND2_2_Y, AO1_15_Y, AND2_17_Y, AND2_5_Y, AND2_7_Y, 
        AND2_27_Y, AND2_0_Y, AO1_17_Y, AND2_37_Y, AO1_11_Y, 
        AND2_4_Y, AO1_23_Y, AND2_30_Y, AND2_23_Y, AND2_26_Y, 
        AO1_6_Y, AND2_1_Y, OR3_0_Y, AO1_20_Y, AO1_7_Y, AO1_18_Y, 
        AO1_0_Y, AO1_1_Y, AO1_9_Y, AO1_4_Y, AO1_5_Y, AO1_3_Y, 
        XOR2_5_Y, XOR2_3_Y, XOR2_18_Y, XOR2_9_Y, XOR2_16_Y, 
        XOR2_14_Y, XOR2_12_Y, XOR2_7_Y, XOR2_21_Y, XOR2_6_Y, 
        XOR2_11_Y;
    
    AND2 AND2_9(.A(XOR2_19_Y), .B(XOR2_17_Y), .Y(AND2_9_Y));
    AND2 AND2_41(.A(AND2_29_Y), .B(AND2_9_Y), .Y(AND2_41_Y));
    AND2 AND2_11(.A(DataA[3]), .B(DataBInv_3_net), .Y(AND2_11_Y));
    AO1 AO1_14(.A(AND2_8_Y), .B(AO1_25_Y), .C(AO1_26_Y), .Y(
        AO1_14_Y));
    XOR2 XOR2_9(.A(DataA[4]), .B(DataBInv_4_net), .Y(XOR2_9_Y));
    AND2 AND2_31(.A(DataBInv_1_net), .B(INV_0_Y), .Y(AND2_31_Y));
    AO1 AO1_16(.A(XOR2_15_Y), .B(AND2_28_Y), .C(AND2_19_Y), .Y(
        AO1_16_Y));
    XOR2 XOR2_16(.A(DataA[5]), .B(DataBInv_5_net), .Y(XOR2_16_Y));
    AND2 AND2_13(.A(XOR2_20_Y), .B(XOR2_8_Y), .Y(AND2_13_Y));
    AO1 AO1_15(.A(AND2_14_Y), .B(AO1_26_Y), .C(AO1_21_Y), .Y(
        AO1_15_Y));
    AND2 AND2_12(.A(AND2_21_Y), .B(AND2_16_Y), .Y(AND2_12_Y));
    AND2 AND2_33(.A(DataA[6]), .B(DataBInv_6_net), .Y(AND2_33_Y));
    AND2 AND2_32(.A(DataA[1]), .B(DataBInv_1_net), .Y(AND2_32_Y));
    XOR2 XORPOLA2(.A(DataA[0]), .B(DataB[0]), .Y(Sum[0]));
    XOR2 XOR2_1(.A(DataA[11]), .B(DataBInv_11_net), .Y(XOR2_1_Y));
    XOR2 XOR2_15(.A(DataA[10]), .B(DataBInv_10_net), .Y(XOR2_15_Y)
        );
    XOR2 XOR2_Sum_5_inst(.A(XOR2_16_Y), .B(AO1_18_Y), .Y(Sum[5]));
    XOR2 XOR2_10(.A(DataA[6]), .B(DataBInv_6_net), .Y(XOR2_10_Y));
    XOR2 XOR2_19(.A(DataA[7]), .B(DataBInv_7_net), .Y(XOR2_19_Y));
    XOR2 XOR2_18(.A(DataA[3]), .B(DataBInv_3_net), .Y(XOR2_18_Y));
    XOR2 XOR2_Sum_3_inst(.A(XOR2_18_Y), .B(AO1_20_Y), .Y(Sum[3]));
    AND2 AND2_0(.A(AND2_38_Y), .B(AND2_41_Y), .Y(AND2_0_Y));
    XOR2 XOR2_7(.A(DataA[8]), .B(DataBInv_8_net), .Y(XOR2_7_Y));
    AO1 AO1_27(.A(AND2_9_Y), .B(AO1_28_Y), .C(AO1_22_Y), .Y(
        AO1_27_Y));
    AND2 AND2_26(.A(AND2_36_Y), .B(AND2_4_Y), .Y(AND2_26_Y));
    AO1 AO1_6(.A(AND2_30_Y), .B(AO1_7_Y), .C(AO1_23_Y), .Y(
        AO1_6_Y));
    XNOR2 XNOR2_Sum_1_inst(.A(XOR2_5_Y), .B(CinP), .Y(Sum[1]));
    AO1 AO1_23(.A(AND2_17_Y), .B(AO1_19_Y), .C(AO1_15_Y), .Y(
        AO1_23_Y));
    AO1 AO1_1(.A(AND2_3_Y), .B(AO1_20_Y), .C(AO1_24_Y), .Y(
        AO1_1_Y));
    AND2 AND2_16(.A(XOR2_10_Y), .B(XOR2_19_Y), .Y(AND2_16_Y));
    AND2 AND2_36(.A(XOR2_0_Y), .B(XOR2_20_Y), .Y(AND2_36_Y));
    AO1 AO1_20(.A(XOR2_20_Y), .B(OR3_0_Y), .C(AND2_40_Y), .Y(
        AO1_20_Y));
    INV INV_8_inst(.A(DataB[8]), .Y(DataBInv_8_net));
    XOR2 XOR2_Sum_4_inst(.A(XOR2_9_Y), .B(AO1_7_Y), .Y(Sum[4]));
    AO1 AO1_4(.A(AND2_41_Y), .B(AO1_18_Y), .C(AO1_27_Y), .Y(
        AO1_4_Y));
    INV INV_3_inst(.A(DataB[3]), .Y(DataBInv_3_net));
    XOR2 XOR2_Sum_8_inst(.A(XOR2_7_Y), .B(AO1_9_Y), .Y(Sum[8]));
    AO1 AO1_5(.A(AND2_37_Y), .B(OR3_0_Y), .C(AO1_17_Y), .Y(
        AO1_5_Y));
    AND2 AND2_2(.A(AND2_9_Y), .B(AND2_24_Y), .Y(AND2_2_Y));
    AND2 AND2_8(.A(XOR2_17_Y), .B(XOR2_13_Y), .Y(AND2_8_Y));
    AND2 AND2_27(.A(AND2_18_Y), .B(AND2_12_Y), .Y(AND2_27_Y));
    AND2 AND2_5(.A(XOR2_0_Y), .B(AND2_6_Y), .Y(AND2_5_Y));
    INV INV_6_inst(.A(DataB[6]), .Y(DataBInv_6_net));
    AND2 AND2_4(.A(AND2_3_Y), .B(AND2_2_Y), .Y(AND2_4_Y));
    AND2 AND2_1(.A(AND2_18_Y), .B(AND2_30_Y), .Y(AND2_1_Y));
    AND2 AND2_3(.A(AND2_25_Y), .B(AND2_29_Y), .Y(AND2_3_Y));
    INV INV_1_inst(.A(DataB[1]), .Y(DataBInv_1_net));
    AND2 AND2_7(.A(AND2_36_Y), .B(AND2_3_Y), .Y(AND2_7_Y));
    AND2 AND2_17(.A(AND2_8_Y), .B(AND2_14_Y), .Y(AND2_17_Y));
    AO1 AO1_24(.A(AND2_29_Y), .B(AO1_2_Y), .C(AO1_28_Y), .Y(
        AO1_24_Y));
    INV INV_7_inst(.A(DataB[7]), .Y(DataBInv_7_net));
    AND2 AND2_37(.A(AND2_6_Y), .B(AND2_34_Y), .Y(AND2_37_Y));
    AO1 AO1_26(.A(XOR2_13_Y), .B(AND2_35_Y), .C(AND2_28_Y), .Y(
        AO1_26_Y));
    AO1 AO1_9(.A(AND2_12_Y), .B(AO1_7_Y), .C(AO1_19_Y), .Y(
        AO1_9_Y));
    AO1 AO1_25(.A(XOR2_19_Y), .B(AND2_33_Y), .C(AND2_10_Y), .Y(
        AO1_25_Y));
    XOR2 XOR2_Sum_10_inst(.A(XOR2_6_Y), .B(AO1_5_Y), .Y(Sum[10]));
    AO1 AO1_7(.A(AND2_13_Y), .B(OR3_0_Y), .C(AO1_13_Y), .Y(
        AO1_7_Y));
    XOR2 XOR2_12(.A(DataA[7]), .B(DataBInv_7_net), .Y(XOR2_12_Y));
    AO1 AO1_12(.A(XOR2_2_Y), .B(AND2_20_Y), .C(AND2_39_Y), .Y(
        AO1_12_Y));
    INV INV_10_inst(.A(DataB[10]), .Y(DataBInv_10_net));
    XOR2 XOR2_3(.A(DataA[2]), .B(DataBInv_2_net), .Y(XOR2_3_Y));
    INV INV_11_inst(.A(DataB[11]), .Y(DataBInv_11_net));
    AO1 AO1_11(.A(AND2_2_Y), .B(AO1_24_Y), .C(AO1_8_Y), .Y(
        AO1_11_Y));
    AO1 AO1_3(.A(AND2_4_Y), .B(AO1_20_Y), .C(AO1_11_Y), .Y(
        AO1_3_Y));
    AND2 AND2_6(.A(AND2_13_Y), .B(AND2_21_Y), .Y(AND2_6_Y));
    XOR2 XOR2_21(.A(DataA[9]), .B(DataBInv_9_net), .Y(XOR2_21_Y));
    AO1 AO1_18(.A(AND2_25_Y), .B(AO1_20_Y), .C(AO1_2_Y), .Y(
        AO1_18_Y));
    XOR2 XOR2_Sum_6_inst(.A(XOR2_14_Y), .B(AO1_0_Y), .Y(Sum[6]));
    AND2 AND2_20(.A(DataA[4]), .B(DataBInv_4_net), .Y(AND2_20_Y));
    AO1 AO1_2(.A(XOR2_4_Y), .B(AND2_11_Y), .C(AND2_20_Y), .Y(
        AO1_2_Y));
    XOR2 XOR2_0(.A(DataA[1]), .B(DataBInv_1_net), .Y(XOR2_0_Y));
    AND2 AND2_28(.A(DataA[9]), .B(DataBInv_9_net), .Y(AND2_28_Y));
    AND2 AND2_40(.A(DataA[2]), .B(DataBInv_2_net), .Y(AND2_40_Y));
    NOR2A NOR2A_0(.A(DataB[0]), .B(DataA[0]), .Y(CinP));
    AND2 AND2_10(.A(DataA[7]), .B(DataBInv_7_net), .Y(AND2_10_Y));
    AND2 AND2_29(.A(XOR2_2_Y), .B(XOR2_10_Y), .Y(AND2_29_Y));
    AND2 AND2_30(.A(AND2_12_Y), .B(AND2_17_Y), .Y(AND2_30_Y));
    INV INV_2_inst(.A(DataB[2]), .Y(DataBInv_2_net));
    AND2 AND2_18(.A(XOR2_0_Y), .B(AND2_13_Y), .Y(AND2_18_Y));
    AO1 AO1_19(.A(AND2_16_Y), .B(AO1_12_Y), .C(AO1_25_Y), .Y(
        AO1_19_Y));
    AND2 AND2_38(.A(AND2_36_Y), .B(AND2_25_Y), .Y(AND2_38_Y));
    XOR2 XOR2_13(.A(DataA[9]), .B(DataBInv_9_net), .Y(XOR2_13_Y));
    AND2 AND2_24(.A(XOR2_13_Y), .B(XOR2_15_Y), .Y(AND2_24_Y));
    XOR2 XOR2_17(.A(DataA[8]), .B(DataBInv_8_net), .Y(XOR2_17_Y));
    XOR2 XOR2_5(.A(DataA[1]), .B(DataBInv_1_net), .Y(XOR2_5_Y));
    AND2 AND2_19(.A(DataA[10]), .B(DataBInv_10_net), .Y(AND2_19_Y)
        );
    INV INV_5_inst(.A(DataB[5]), .Y(DataBInv_5_net));
    AND2 AND2_39(.A(DataA[5]), .B(DataBInv_5_net), .Y(AND2_39_Y));
    XOR2 XOR2_14(.A(DataA[6]), .B(DataBInv_6_net), .Y(XOR2_14_Y));
    XOR2 XOR2_2(.A(DataA[5]), .B(DataBInv_5_net), .Y(XOR2_2_Y));
    XOR2 XOR2_20(.A(DataA[2]), .B(DataBInv_2_net), .Y(XOR2_20_Y));
    AND2 AND2_25(.A(XOR2_8_Y), .B(XOR2_4_Y), .Y(AND2_25_Y));
    AND2 AND2_14(.A(XOR2_15_Y), .B(XOR2_1_Y), .Y(AND2_14_Y));
    XOR2 XOR2_6(.A(DataA[10]), .B(DataBInv_10_net), .Y(XOR2_6_Y));
    AND2 AND2_34(.A(AND2_16_Y), .B(AND2_8_Y), .Y(AND2_34_Y));
    XOR2 XOR2_4(.A(DataA[4]), .B(DataBInv_4_net), .Y(XOR2_4_Y));
    XOR2 XOR2_Sum_7_inst(.A(XOR2_12_Y), .B(AO1_1_Y), .Y(Sum[7]));
    AO1 AO1_17(.A(AND2_34_Y), .B(AO1_10_Y), .C(AO1_14_Y), .Y(
        AO1_17_Y));
    XOR2 XOR2_8(.A(DataA[3]), .B(DataBInv_3_net), .Y(XOR2_8_Y));
    INV INV_9_inst(.A(DataB[9]), .Y(DataBInv_9_net));
    OR3 OR3_0(.A(AND2_32_Y), .B(AND2_22_Y), .C(AND2_31_Y), .Y(
        OR3_0_Y));
    XOR2 XOR2_Sum_2_inst(.A(XOR2_3_Y), .B(OR3_0_Y), .Y(Sum[2]));
    AND2 AND2_15(.A(DataA[11]), .B(DataBInv_11_net), .Y(AND2_15_Y)
        );
    AND2 AND2_35(.A(DataA[8]), .B(DataBInv_8_net), .Y(AND2_35_Y));
    AO1 AO1_13(.A(XOR2_8_Y), .B(AND2_40_Y), .C(AND2_11_Y), .Y(
        AO1_13_Y));
    AO1 AO1_22(.A(XOR2_17_Y), .B(AND2_10_Y), .C(AND2_35_Y), .Y(
        AO1_22_Y));
    XOR2 XOR2_11(.A(DataA[11]), .B(DataBInv_11_net), .Y(XOR2_11_Y)
        );
    AO1 AO1_0(.A(AND2_6_Y), .B(OR3_0_Y), .C(AO1_10_Y), .Y(AO1_0_Y)
        );
    XOR2 XOR2_Sum_11_inst(.A(XOR2_11_Y), .B(AO1_3_Y), .Y(Sum[11]));
    AO1 AO1_21(.A(XOR2_1_Y), .B(AND2_19_Y), .C(AND2_15_Y), .Y(
        AO1_21_Y));
    INV INV_0(.A(CinP), .Y(INV_0_Y));
    AO1 AO1_10(.A(AND2_21_Y), .B(AO1_13_Y), .C(AO1_12_Y), .Y(
        AO1_10_Y));
    INV INV_4_inst(.A(DataB[4]), .Y(DataBInv_4_net));
    AND2 AND2_21(.A(XOR2_4_Y), .B(XOR2_2_Y), .Y(AND2_21_Y));
    AO1 AO1_8(.A(AND2_24_Y), .B(AO1_22_Y), .C(AO1_16_Y), .Y(
        AO1_8_Y));
    XOR2 XOR2_Sum_9_inst(.A(XOR2_21_Y), .B(AO1_4_Y), .Y(Sum[9]));
    AO1 AO1_28(.A(XOR2_10_Y), .B(AND2_39_Y), .C(AND2_33_Y), .Y(
        AO1_28_Y));
    AND2 AND2_23(.A(XOR2_0_Y), .B(AND2_37_Y), .Y(AND2_23_Y));
    AND2 AND2_22(.A(DataA[1]), .B(INV_0_Y), .Y(AND2_22_Y));
    
endmodule

// _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._


// _GEN_File_Contents_

// Version:7.3.0.28
// ACTGENU_CALL:1
// BATCH:T
// FAM:Fusion
// OUTFORMAT:Verilog
// LPMTYPE:LPM_ADD_SUB
// LPM_HINT:FBKSUB
// INSERT_PAD:NO
// INSERT_IOREG:NO
// GEN_BHV_VHDL_VAL:F
// GEN_BHV_VERILOG_VAL:T
// MGNTIMER:F
// MGNCMPL:F
// "DESDIR:D:/Fusion/Voltage_Comp_Verilog/smartgen\Subtract"
// GEN_BEHV_MODULE:T
// SMARTGEN_DIE:IR4X4M1
// SMARTGEN_PACKAGE:fg256
//  CI_POLARITY:2
//  CO_POLARITY:2
//  WIDTH:12
//  DEBUG:0

// _End_Comments_

