library verilog;
use verilog.vl_types.all;
entity AB_CM_smtr_wrapper is
    port(
        CLK             : in     vl_logic;
        NRESET          : in     vl_logic;
        EV_CHHOLD       : in     vl_logic_vector(4 downto 0);
        EV_DONE         : in     vl_logic;
        EV_RAM_WR_BUSY_B: in     vl_logic;
        GPI             : in     vl_logic_vector(31 downto 0);
        GPO             : out    vl_logic_vector(31 downto 0);
        INIT_ADDR       : in     vl_logic_vector(8 downto 0);
        INIT_TR_WR      : in     vl_logic;
        INIT_DI         : in     vl_logic_vector(8 downto 0);
        INIT_DONE       : in     vl_logic;
        USER_TR_ADDR    : in     vl_logic_vector(8 downto 0);
        USER_TR_RD      : in     vl_logic;
        USER_TR_RAM_BUSY: out    vl_logic;
        TR_EV_ADDR      : out    vl_logic_vector(8 downto 0);
        TR_EV_RD        : out    vl_logic;
        TR_TRFLAG       : out    vl_logic;
        TR_DONE         : out    vl_logic;
        EV_RAM_DO_A     : in     vl_logic_vector(8 downto 0);
        TR_RAM_ADDR_A   : out    vl_logic_vector(8 downto 0);
        TR_RAM_RW_A     : out    vl_logic;
        TR_RAM_CSN_A    : out    vl_logic;
        TR_RAM_DI_A     : out    vl_logic_vector(8 downto 0);
        TR_RAM_ADDR_B   : out    vl_logic_vector(8 downto 0);
        TR_RAM_RW_B     : out    vl_logic;
        TR_RAM_CSN_B    : out    vl_logic;
        TR_RAM_DI_B     : out    vl_logic_vector(8 downto 0);
        TR_RAM_DO_B     : in     vl_logic_vector(8 downto 0);
        TR_RAM_WR_BUSY_B: out    vl_logic
    );
end AB_CM_smtr_wrapper;
