library verilog;
use verilog.vl_types.all;
entity COMP_SM is
    generic(
        idle            : integer := 0;
        channel_xP      : integer := 1;
        channel_xN      : integer := 2;
        wait_next_result: integer := 3;
        wait_next_channel: integer := 4;
        AV0             : integer := 1;
        AC0             : integer := 2;
        AV1             : integer := 4;
        AC1             : integer := 5;
        AV2             : integer := 7;
        AC2             : integer := 8;
        AV3             : integer := 10;
        AC3             : integer := 11;
        AV4             : integer := 13;
        AC4             : integer := 14;
        AV5             : integer := 16;
        AC5             : integer := 17;
        AV6             : integer := 19;
        AC6             : integer := 20;
        AV7             : integer := 22;
        AC7             : integer := 23;
        AV8             : integer := 25;
        AC8             : integer := 26;
        AV9             : integer := 28;
        AC9             : integer := 29;
        Channel0        : integer := 0;
        Channel1        : integer := 1;
        Channel2        : integer := 2;
        Channel3        : integer := 3;
        Channel4        : integer := 4;
        Channel5        : integer := 5;
        no_output       : integer := 7
    );
    port(
        SYSCLK          : in     vl_logic;
        RESETn          : in     vl_logic;
        DATAVALID       : in     vl_logic;
        INIT_DONE       : in     vl_logic;
        ADC_CHNUMBER    : in     vl_logic_vector(4 downto 0);
        ADC_RESULT      : in     vl_logic_vector(11 downto 0);
        Diff_0          : out    vl_logic_vector(11 downto 0);
        Diff_1          : out    vl_logic_vector(11 downto 0);
        Diff_2          : out    vl_logic_vector(11 downto 0);
        Diff_3          : out    vl_logic_vector(11 downto 0);
        Diff_4          : out    vl_logic_vector(11 downto 0);
        Diff_5          : out    vl_logic_vector(11 downto 0);
        Latest_Update   : out    vl_logic_vector(2 downto 0);
        New_Measurement : out    vl_logic
    );
end COMP_SM;
