library verilog;
use verilog.vl_types.all;
entity TOP_CM is
    port(
        SYSCLK          : in     vl_logic;
        SYSRSTn         : in     vl_logic;
        VAREF           : inout  vl_logic;
        AV0             : in     vl_logic;
        AC0             : in     vl_logic;
        AV1             : in     vl_logic;
        AC1             : in     vl_logic;
        AV2             : in     vl_logic;
        AC2             : in     vl_logic;
        AV3             : in     vl_logic;
        AC3             : in     vl_logic;
        AV4             : in     vl_logic;
        AC4             : in     vl_logic;
        AV5             : in     vl_logic;
        AC5             : in     vl_logic;
        Diff0           : out    vl_logic_vector(11 downto 0);
        Diff1           : out    vl_logic_vector(11 downto 0);
        Diff2           : out    vl_logic_vector(11 downto 0);
        Diff3           : out    vl_logic_vector(11 downto 0);
        Diff4           : out    vl_logic_vector(11 downto 0);
        Diff5           : out    vl_logic_vector(11 downto 0);
        Latest_Update   : out    vl_logic_vector(2 downto 0);
        New_Measurement : out    vl_logic;
        PUB             : in     vl_logic;
        SPARE           : out    vl_logic
    );
end TOP_CM;
