`timescale 1 ns/100 ps
// Version: 7.3 7.3.0.28


module AB_CM(
       INIT_DATA,
       INIT_ADDR,
       AV5,
       AC5,
       AV3,
       AC3,
       AV1,
       AC1,
       AB_CM_VCC,
       VAREF,
       AV2,
       AC2,
       AB_CM_GND,
       INIT_ACM_WEN,
       AV0,
       AC0,
       AV4,
       AC4
    );
input  [7:0] INIT_DATA;
input  [7:0] INIT_ADDR;
input  AV5;
input  AC5;
input  AV3;
input  AC3;
input  AV1;
input  AC1;
input  AB_CM_VCC;
inout  VAREF;
input  AV2;
input  AC2;
input  AB_CM_GND;
input  INIT_ACM_WEN;
input  AV0;
input  AC0;
input  AV4;
input  AC4;

    wire AC4_net, AV4_net, AC0_net, AV0_net, INIT_ACM_WEN_OR_net, 
        AC2_net, AV2_net, \AB_INST_ACMRDATA[0] , \AB_INST_ACMRDATA[1] , 
        \AB_INST_ACMRDATA[2] , \AB_INST_ACMRDATA[3] , 
        \AB_INST_ACMRDATA[4] , \AB_INST_ACMRDATA[5] , 
        \AB_INST_ACMRDATA[6] , \AB_INST_ACMRDATA[7] , AB_INST_AG0, 
        AB_INST_AG1, AB_INST_AG2, AB_INST_AG3, AB_INST_AG4, 
        AB_INST_AG5, AB_INST_AG6, AB_INST_AG7, AB_INST_AG8, 
        AB_INST_AG9, ADC_BUSY_net, ADC_CALIBRATE_net, AB_INST_DACOUT0, 
        AB_INST_DACOUT1, AB_INST_DACOUT2, AB_INST_DACOUT3, 
        AB_INST_DACOUT4, AB_INST_DACOUT5, AB_INST_DACOUT6, 
        AB_INST_DACOUT7, AB_INST_DACOUT8, AB_INST_DACOUT9, DATAVALID, 
        AB_INST_DATOUT0, AB_INST_DATOUT1, AB_INST_DATOUT2, 
        AB_INST_DATOUT3, AB_INST_DATOUT4, AB_INST_DATOUT5, 
        AB_INST_DATOUT6, AB_INST_DATOUT7, AB_INST_DATOUT8, 
        AB_INST_DATOUT9, AB_INST_DAVOUT0, AB_INST_DAVOUT1, 
        AB_INST_DAVOUT2, AB_INST_DAVOUT3, AB_INST_DAVOUT4, 
        AB_INST_DAVOUT5, AB_INST_DAVOUT6, AB_INST_DAVOUT7, 
        AB_INST_DAVOUT8, AB_INST_DAVOUT9, \ADC_RESULT[0] , 
        \ADC_RESULT[1] , \ADC_RESULT[2] , \ADC_RESULT[3] , 
        \ADC_RESULT[4] , \ADC_RESULT[5] , \ADC_RESULT[6] , 
        \ADC_RESULT[7] , \ADC_RESULT[8] , \ADC_RESULT[9] , 
        \ADC_RESULT[10] , \ADC_RESULT[11] , AB_INST_RTCMATCH, 
        AB_INST_RTCPSMMATCH, \AB_INST_RTCXTLMODE[0] , 
        \AB_INST_RTCXTLMODE[1] , AB_INST_RTCXTLSEL, AB_INST_SAMPLE, 
        AC1_net, AC3_net, AC5_net, AV1_net, AV3_net, AV5_net, GND, VCC, 
        GND_net_1, VCC_net_1;
    
    INBUF_A AV5_PAD (.PAD(AV5), .Y(AV5_net));
    INBUF_A AC5_PAD (.PAD(AC5), .Y(AC5_net));
    GND GND_i_0 (.Y(GND_net_1));
    INBUF_A AV3_PAD (.PAD(AV3), .Y(AV3_net));
    INBUF_A AC3_PAD (.PAD(AC3), .Y(AC3_net));
    VCC VCC_i (.Y(VCC));
    INBUF_A AV1_PAD (.PAD(AV1), .Y(AV1_net));
    INBUF_A AC1_PAD (.PAD(AC1), .Y(AC1_net));
    AB AB_INST (.DAVOUT0(AB_INST_DAVOUT0), .DACOUT0(AB_INST_DACOUT0), 
        .DATOUT0(AB_INST_DATOUT0), .DAVOUT1(AB_INST_DAVOUT1), .DACOUT1(
        AB_INST_DACOUT1), .DATOUT1(AB_INST_DATOUT1), .DAVOUT2(
        AB_INST_DAVOUT2), .DACOUT2(AB_INST_DACOUT2), .DATOUT2(
        AB_INST_DATOUT2), .DAVOUT3(AB_INST_DAVOUT3), .DACOUT3(
        AB_INST_DACOUT3), .DATOUT3(AB_INST_DATOUT3), .DAVOUT4(
        AB_INST_DAVOUT4), .DACOUT4(AB_INST_DACOUT4), .DATOUT4(
        AB_INST_DATOUT4), .DAVOUT5(AB_INST_DAVOUT5), .DACOUT5(
        AB_INST_DACOUT5), .DATOUT5(AB_INST_DATOUT5), .DAVOUT6(
        AB_INST_DAVOUT6), .DACOUT6(AB_INST_DACOUT6), .DATOUT6(
        AB_INST_DATOUT6), .DAVOUT7(AB_INST_DAVOUT7), .DACOUT7(
        AB_INST_DACOUT7), .DATOUT7(AB_INST_DATOUT7), .DAVOUT8(
        AB_INST_DAVOUT8), .DACOUT8(AB_INST_DACOUT8), .DATOUT8(
        AB_INST_DATOUT8), .DAVOUT9(AB_INST_DAVOUT9), .DACOUT9(
        AB_INST_DACOUT9), .DATOUT9(AB_INST_DATOUT9), .DENAV0(AB_CM_GND)
        , .DENAC0(AB_CM_GND), .DENAT0(AB_CM_GND), .DENAV1(AB_CM_GND), 
        .DENAC1(AB_CM_GND), .DENAT1(AB_CM_GND), .DENAV2(AB_CM_GND), 
        .DENAC2(AB_CM_GND), .DENAT2(AB_CM_GND), .DENAV3(AB_CM_GND), 
        .DENAC3(AB_CM_GND), .DENAT3(AB_CM_GND), .DENAV4(AB_CM_GND), 
        .DENAC4(AB_CM_GND), .DENAT4(AB_CM_GND), .DENAV5(AB_CM_GND), 
        .DENAC5(AB_CM_GND), .DENAT5(AB_CM_GND), .DENAV6(AB_CM_GND), 
        .DENAC6(AB_CM_GND), .DENAT6(AB_CM_GND), .DENAV7(AB_CM_GND), 
        .DENAC7(AB_CM_GND), .DENAT7(AB_CM_GND), .DENAV8(AB_CM_GND), 
        .DENAC8(AB_CM_GND), .DENAT8(AB_CM_GND), .DENAV9(AB_CM_GND), 
        .DENAC9(AB_CM_GND), .DENAT9(AB_CM_GND), .AV0(AV0_net), .AC0(
        AC0_net), .AT0(AB_CM_GND), .AG0(AB_INST_AG0), .AV1(AV1_net), 
        .AC1(AC1_net), .AT1(AB_CM_GND), .AG1(AB_INST_AG1), .AV2(
        AV2_net), .AC2(AC2_net), .AT2(AB_CM_GND), .AG2(AB_INST_AG2), 
        .AV3(AV3_net), .AC3(AC3_net), .AT3(AB_CM_GND), .AG3(
        AB_INST_AG3), .AV4(AV4_net), .AC4(AC4_net), .AT4(AB_CM_GND), 
        .AG4(AB_INST_AG4), .AV5(AV5_net), .AC5(AC5_net), .AT5(
        AB_CM_GND), .AG5(AB_INST_AG5), .AV6(AB_CM_GND), .AC6(AB_CM_GND)
        , .AT6(AB_CM_GND), .AG6(AB_INST_AG6), .AV7(AB_CM_GND), .AC7(
        AB_CM_GND), .AT7(AB_CM_GND), .AG7(AB_INST_AG7), .AV8(AB_CM_GND)
        , .AC8(AB_CM_GND), .AT8(AB_CM_GND), .AG8(AB_INST_AG8), .AV9(
        AB_CM_GND), .AC9(AB_CM_GND), .AT9(AB_CM_GND), .AG9(AB_INST_AG9)
        , .ATRETURN01(AB_CM_GND), .ATRETURN23(AB_CM_GND), .ATRETURN45(
        AB_CM_GND), .ATRETURN67(AB_CM_GND), .ATRETURN89(AB_CM_GND), 
        .VAREF(VAREF), .GNDREF(AB_CM_GND), .GDON0(AB_CM_GND), .GDON1(
        AB_CM_GND), .GDON2(AB_CM_GND), .GDON3(AB_CM_GND), .GDON4(
        AB_CM_GND), .GDON5(AB_CM_GND), .GDON6(AB_CM_GND), .GDON7(
        AB_CM_GND), .GDON8(AB_CM_GND), .GDON9(AB_CM_GND), .CMSTB0(
        AB_CM_GND), .CMSTB1(AB_CM_GND), .CMSTB2(AB_CM_GND), .CMSTB3(
        AB_CM_GND), .CMSTB4(AB_CM_GND), .CMSTB5(AB_CM_GND), .CMSTB6(
        AB_CM_GND), .CMSTB7(AB_CM_GND), .CMSTB8(AB_CM_GND), .CMSTB9(
        AB_CM_GND), .TMSTB0(AB_CM_GND), .TMSTB1(AB_CM_GND), .TMSTB2(
        AB_CM_GND), .TMSTB3(AB_CM_GND), .TMSTB4(AB_CM_GND), .TMSTB5(
        AB_CM_GND), .TMSTB6(AB_CM_GND), .TMSTB7(AB_CM_GND), .TMSTB8(
        AB_CM_GND), .TMSTB9(AB_CM_GND), .TMSTBINT(AB_CM_GND), .RESULT({
        \ADC_RESULT[11] , \ADC_RESULT[10] , \ADC_RESULT[9] , 
        \ADC_RESULT[8] , \ADC_RESULT[7] , \ADC_RESULT[6] , 
        \ADC_RESULT[5] , \ADC_RESULT[4] , \ADC_RESULT[3] , 
        \ADC_RESULT[2] , \ADC_RESULT[1] , \ADC_RESULT[0] }), .ACMRDATA({
        \AB_INST_ACMRDATA[7] , \AB_INST_ACMRDATA[6] , 
        \AB_INST_ACMRDATA[5] , \AB_INST_ACMRDATA[4] , 
        \AB_INST_ACMRDATA[3] , \AB_INST_ACMRDATA[2] , 
        \AB_INST_ACMRDATA[1] , \AB_INST_ACMRDATA[0] }), .ACMWDATA({
        INIT_DATA[7], INIT_DATA[6], INIT_DATA[5], INIT_DATA[4], 
        INIT_DATA[3], INIT_DATA[2], INIT_DATA[1], INIT_DATA[0]}), 
        .ACMADDR({INIT_ADDR[7], INIT_ADDR[6], INIT_ADDR[5], 
        INIT_ADDR[4], INIT_ADDR[3], INIT_ADDR[2], INIT_ADDR[1], 
        INIT_ADDR[0]}), .STC({AB_CM_GND, AB_CM_GND, AB_CM_GND, 
        AB_CM_GND, AB_CM_GND, AB_CM_GND, AB_CM_GND, AB_CM_GND}), .TVC({
        AB_CM_GND, AB_CM_GND, AB_CM_GND, AB_CM_GND, AB_CM_GND, 
        AB_CM_GND, AB_CM_GND, AB_CM_GND}), .CHNUMBER({AB_CM_GND, 
        AB_CM_GND, AB_CM_GND, AB_CM_GND, AB_CM_GND}), .MODE({AB_CM_GND, 
        AB_CM_GND, AB_CM_GND, AB_CM_GND}), .RTCXTLMODE({
        \AB_INST_RTCXTLMODE[1] , \AB_INST_RTCXTLMODE[0] }), .ACMRESET(
        AB_CM_GND), .ACMCLK(AB_CM_GND), .ACMWEN(INIT_ACM_WEN_OR_net), 
        .VAREFSEL(AB_CM_GND), .DATAVALID(DATAVALID), .CALIBRATE(
        ADC_CALIBRATE_net), .SAMPLE(AB_INST_SAMPLE), .BUSY(
        ADC_BUSY_net), .PWRDWN(AB_CM_GND), .SYSCLK(AB_CM_GND), 
        .ADCRESET(AB_CM_VCC), .ADCSTART(AB_CM_GND), .RTCMATCH(
        AB_INST_RTCMATCH), .RTCPSMMATCH(AB_INST_RTCPSMMATCH), 
        .RTCXTLSEL(AB_INST_RTCXTLSEL), .RTCCLK(AB_CM_GND));
    GND GND_i (.Y(GND));
    INBUF_A AV2_PAD (.PAD(AV2), .Y(AV2_net));
    INBUF_A AC2_PAD (.PAD(AC2), .Y(AC2_net));
    VCC VCC_i_0 (.Y(VCC_net_1));
    OR2 INIT_ACMWEN_OR (.A(INIT_ACM_WEN), .B(AB_CM_GND), .Y(
        INIT_ACM_WEN_OR_net));
    INBUF_A AV0_PAD (.PAD(AV0), .Y(AV0_net));
    INBUF_A AC0_PAD (.PAD(AC0), .Y(AC0_net));
    INBUF_A AV4_PAD (.PAD(AV4), .Y(AV4_net));
    INBUF_A AC4_PAD (.PAD(AC4), .Y(AC4_net));
    
endmodule


module jhmkpjjmdkx(
       jhmkpjjmdkx_VCC,
       SYSRSTn_c,
       SYSCLK_c,
       bfcqzvtnrcn
    );
input  jhmkpjjmdkx_VCC;
input  SYSRSTn_c;
input  SYSCLK_c;
output bfcqzvtnrcn;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    DFN1C0 qqqjcnjzntg (.D(jhmkpjjmdkx_VCC), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(bfcqzvtnrcn));
    GND GND_i (.Y(GND));
    
endmodule


module INITCFG_XF(
       bfcqzvtnrcn,
       SYSCLK_c,
       SYSRSTn_c,
       INITCFG_XF_VCC
    );
output bfcqzvtnrcn;
input  SYSCLK_c;
input  SYSRSTn_c;
input  INITCFG_XF_VCC;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    jhmkpjjmdkx u_jhmkpjjmdkx (.jhmkpjjmdkx_VCC(INITCFG_XF_VCC), 
        .SYSRSTn_c(SYSRSTn_c), .SYSCLK_c(SYSCLK_c), .bfcqzvtnrcn(
        bfcqzvtnrcn));
    GND GND_i (.Y(GND));
    
endmodule


module stnpfdkggvx_4s_2s_0_1_2_3_4_5_6_7(
       gpbbjwsprsj,
       mwtvnzdkmwm_3,
       gpbbjwsprsj_0,
       N_42,
       bfcqzvtnrcn,
       qdvwjxmzbpf,
       N_39,
       SYSRSTn_c,
       SYSCLK_c,
       NVM_BUSY_net,
       mhxwcfnvbgt,
       xbkjkgdsbfh,
       dxpbcqjpxtw
    );
output [1:0] gpbbjwsprsj;
output mwtvnzdkmwm_3;
output [1:0] gpbbjwsprsj_0;
output N_42;
input  bfcqzvtnrcn;
output qdvwjxmzbpf;
input  N_39;
input  SYSRSTn_c;
input  SYSCLK_c;
input  NVM_BUSY_net;
input  mhxwcfnvbgt;
output xbkjkgdsbfh;
output dxpbcqjpxtw;

    wire SUM0, SUM1, \mwtvnzdkmwm_ns[1]_net_1 , \mwtvnzdkmwm[5]_net_1 , 
        N_46, \mwtvnzdkmwm_ns_i_a2[7]_net_1 , \mwtvnzdkmwm[6]_net_1 , 
        \mwtvnzdkmwm_ns[6] , \mwtvnzdkmwm[0]_net_1 , 
        \mwtvnzdkmwm_ns[4]_net_1 , \mwtvnzdkmwm_ns[5] , 
        \mwtvnzdkmwm_ns[0] , \mwtvnzdkmwm_ns[3]_net_1 , 
        \mwtvnzdkmwm[2]_net_1 , \mwtvnzdkmwm_ns[2]_net_1 , 
        \mwtvnzdkmwm[1]_net_1 , GND, VCC, GND_net_1, VCC_net_1;
    
    AO1B \mwtvnzdkmwm_ns[1]  (.A(N_39), .B(\mwtvnzdkmwm[5]_net_1 ), .C(
        N_46), .Y(\mwtvnzdkmwm_ns[1]_net_1 ));
    DFN1C0 \rhjctqnqzsn[0]  (.D(SUM0), .CLK(SYSCLK_c), .CLR(SYSRSTn_c), 
        .Q(gpbbjwsprsj[0]));
    DFN1C0 \mwtvnzdkmwm[7]  (.D(\mwtvnzdkmwm_ns_i_a2[7]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(qdvwjxmzbpf));
    AO1 \mwtvnzdkmwm_ns[4]  (.A(NVM_BUSY_net), .B(xbkjkgdsbfh), .C(
        mwtvnzdkmwm_3), .Y(\mwtvnzdkmwm_ns[4]_net_1 ));
    DFN1C0 \mwtvnzdkmwm[3]  (.D(\mwtvnzdkmwm_ns[3]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(mwtvnzdkmwm_3));
    GND GND_i_0 (.Y(GND_net_1));
    OR2 \mwtvnzdkmwm_ns_i_a2[7]  (.A(qdvwjxmzbpf), .B(
        \mwtvnzdkmwm[6]_net_1 ), .Y(\mwtvnzdkmwm_ns_i_a2[7]_net_1 ));
    DFN1C0 \mwtvnzdkmwm[5]  (.D(\mwtvnzdkmwm_ns[5] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(\mwtvnzdkmwm[5]_net_1 ));
    NOR3B \mwtvnzdkmwm_ns_a2[5]  (.A(xbkjkgdsbfh), .B(mhxwcfnvbgt), .C(
        NVM_BUSY_net), .Y(\mwtvnzdkmwm_ns[5] ));
    VCC VCC_i (.Y(VCC));
    NOR2A \mwtvnzdkmwm_ns_a2[0]  (.A(\mwtvnzdkmwm[0]_net_1 ), .B(
        bfcqzvtnrcn), .Y(\mwtvnzdkmwm_ns[0] ));
    GND GND_i (.Y(GND));
    NOR3A dkzmhvbwwdx_0_a2 (.A(xbkjkgdsbfh), .B(mhxwcfnvbgt), .C(
        NVM_BUSY_net), .Y(dxpbcqjpxtw));
    AX1C un1_mwtvnzdkmwm_1_SUM1 (.A(gpbbjwsprsj[0]), .B(
        \mwtvnzdkmwm[5]_net_1 ), .C(gpbbjwsprsj[1]), .Y(SUM1));
    DFN1P0 \mwtvnzdkmwm[0]  (.D(\mwtvnzdkmwm_ns[0] ), .CLK(SYSCLK_c), 
        .PRE(SYSRSTn_c), .Q(\mwtvnzdkmwm[0]_net_1 ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    DFN1C0 \rhjctqnqzsn_0[0]  (.D(SUM0), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(gpbbjwsprsj_0[0]));
    AO1A \mwtvnzdkmwm_ns[3]  (.A(NVM_BUSY_net), .B(
        \mwtvnzdkmwm[2]_net_1 ), .C(dxpbcqjpxtw), .Y(
        \mwtvnzdkmwm_ns[3]_net_1 ));
    DFN1C0 \rhjctqnqzsn_0[1]  (.D(SUM1), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(gpbbjwsprsj_0[1]));
    DFN1C0 \mwtvnzdkmwm[4]  (.D(\mwtvnzdkmwm_ns[4]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(xbkjkgdsbfh));
    DFN1C0 \mwtvnzdkmwm[1]  (.D(\mwtvnzdkmwm_ns[1]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(\mwtvnzdkmwm[1]_net_1 ));
    AO1 \mwtvnzdkmwm_ns[2]  (.A(NVM_BUSY_net), .B(
        \mwtvnzdkmwm[2]_net_1 ), .C(\mwtvnzdkmwm[1]_net_1 ), .Y(
        \mwtvnzdkmwm_ns[2]_net_1 ));
    XOR2 un1_mwtvnzdkmwm_1_SUM0 (.A(\mwtvnzdkmwm[5]_net_1 ), .B(
        gpbbjwsprsj[0]), .Y(SUM0));
    DFN1C0 \mwtvnzdkmwm[6]  (.D(\mwtvnzdkmwm_ns[6] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(\mwtvnzdkmwm[6]_net_1 ));
    OR2 vqrmhtjkzqt_i_a2 (.A(\mwtvnzdkmwm[2]_net_1 ), .B(
        \mwtvnzdkmwm[1]_net_1 ), .Y(N_42));
    OR2B \mwtvnzdkmwm_ns_a2_0[1]  (.A(\mwtvnzdkmwm[0]_net_1 ), .B(
        bfcqzvtnrcn), .Y(N_46));
    DFN1C0 \mwtvnzdkmwm[2]  (.D(\mwtvnzdkmwm_ns[2]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(\mwtvnzdkmwm[2]_net_1 ));
    DFN1C0 \rhjctqnqzsn[1]  (.D(SUM1), .CLK(SYSCLK_c), .CLR(SYSRSTn_c), 
        .Q(gpbbjwsprsj[1]));
    NOR2A \mwtvnzdkmwm_ns_a2[6]  (.A(\mwtvnzdkmwm[5]_net_1 ), .B(N_39), 
        .Y(\mwtvnzdkmwm_ns[6] ));
    
endmodule


module INITCFG_XA_4s_2s(
       gpbbjwsprsj_0,
       mwtvnzdkmwm,
       gpbbjwsprsj,
       dxpbcqjpxtw,
       xbkjkgdsbfh,
       mhxwcfnvbgt,
       NVM_BUSY_net,
       SYSCLK_c,
       SYSRSTn_c,
       N_39,
       qdvwjxmzbpf,
       bfcqzvtnrcn,
       N_42
    );
output [1:0] gpbbjwsprsj_0;
output [3:3] mwtvnzdkmwm;
output [1:0] gpbbjwsprsj;
output dxpbcqjpxtw;
output xbkjkgdsbfh;
input  mhxwcfnvbgt;
input  NVM_BUSY_net;
input  SYSCLK_c;
input  SYSRSTn_c;
input  N_39;
output qdvwjxmzbpf;
input  bfcqzvtnrcn;
output N_42;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    stnpfdkggvx_4s_2s_0_1_2_3_4_5_6_7 u_stnpfdkggvx (.gpbbjwsprsj({
        gpbbjwsprsj[1], gpbbjwsprsj[0]}), .mwtvnzdkmwm_3(
        mwtvnzdkmwm[3]), .gpbbjwsprsj_0({gpbbjwsprsj_0[1], 
        gpbbjwsprsj_0[0]}), .N_42(N_42), .bfcqzvtnrcn(bfcqzvtnrcn), 
        .qdvwjxmzbpf(qdvwjxmzbpf), .N_39(N_39), .SYSRSTn_c(SYSRSTn_c), 
        .SYSCLK_c(SYSCLK_c), .NVM_BUSY_net(NVM_BUSY_net), .mhxwcfnvbgt(
        mhxwcfnvbgt), .xbkjkgdsbfh(xbkjkgdsbfh), .dxpbcqjpxtw(
        dxpbcqjpxtw));
    GND GND_i (.Y(GND));
    
endmodule


module dxwqxgdccxc_9s(
       gpbbjwsprsj,
       bdhvhfjwtxd_0,
       bqhrfdzctjc_0,
       bqhrfdzctjc_1,
       bqhrfdzctjc_2,
       bqhrfdzctjc_3,
       bqhrfdzctjc_4,
       bqhrfdzctjc_5,
       bqhrfdzctjc_11,
       bqhrfdzctjc_13,
       bqhrfdzctjc_14,
       bqhrfdzctjc_12,
       mmsccbknsvn,
       gpbbjwsprsj_0,
       bdhvhfjwtxd_7,
       bdhvhfjwtxd_0_d0,
       bdhvhfjwtxd_6,
       INIT_ADDR_2,
       INIT_ADDR_4,
       INIT_ADDR_6,
       INIT_ADDR_7,
       INIT_ADDR_5,
       INIT_ADDR_3,
       INIT_ADDR_1,
       INIT_ADDR_0,
       SYSRSTn_c,
       SYSCLK_c,
       N159,
       fhpsqkqvwpw,
       NVM_LOCK_net_0,
       NVM_BUSY_net,
       xbkjkgdsbfh,
       I9_un1_Y,
       N_374_i,
       N_39,
       mhxwcfnvbgt,
       wtjtwqjkqbd,
       qdgqbvgcnzn
    );
input  [1:0] gpbbjwsprsj;
input  [0:0] bdhvhfjwtxd_0;
output bqhrfdzctjc_0;
output bqhrfdzctjc_1;
output bqhrfdzctjc_2;
output bqhrfdzctjc_3;
output bqhrfdzctjc_4;
output bqhrfdzctjc_5;
output bqhrfdzctjc_11;
output bqhrfdzctjc_13;
output bqhrfdzctjc_14;
output bqhrfdzctjc_12;
input  [15:15] mmsccbknsvn;
input  [1:0] gpbbjwsprsj_0;
input  bdhvhfjwtxd_7;
input  bdhvhfjwtxd_0_d0;
input  bdhvhfjwtxd_6;
output INIT_ADDR_2;
output INIT_ADDR_4;
output INIT_ADDR_6;
output INIT_ADDR_7;
output INIT_ADDR_5;
output INIT_ADDR_3;
output INIT_ADDR_1;
output INIT_ADDR_0;
input  SYSRSTn_c;
input  SYSCLK_c;
output N159;
input  fhpsqkqvwpw;
input  NVM_LOCK_net_0;
input  NVM_BUSY_net;
input  xbkjkgdsbfh;
output I9_un1_Y;
input  N_374_i;
input  N_39;
output mhxwcfnvbgt;
input  wtjtwqjkqbd;
input  qdgqbvgcnzn;

    wire ADD_9x9_medium_I8_Y, ADD_9x9_medium_I6_Y_s, 
        ADD_9x9_medium_I8_Y_0, ADD_9x9_medium_I19_un1_Y, 
        ADD_9x9_medium_I18_un1_Y, ADD_9x9_medium_I17_un1_Y, 
        ADD_9x9_medium_I9_Y_s, ADD_9x9_medium_I9_Y, \gnmdxrqrdgs_5[3] , 
        ADD_9x9_medium_I6_Y, \gnmdxrqrdgs_5[7] , \gnmdxrqrdgs_5[6] , 
        \gnmdxrqrdgs_5[5] , \gnmdxrqrdgs_5[4] , \gnmdxrqrdgs_5[2] , 
        \gnmdxrqrdgs_5[1] , ADD_9x9_medium_I3_Y, gnmdxrqrdgs_5_8_m3_0, 
        gnmdxrqrdgs_5tt_8_m3_e_1, kftxkfpnstb10_NE_6, 
        kftxkfpnstb10_NE_4, kftxkfpnstb10_NE_3, kftxkfpnstb10_7, 
        kftxkfpnstb10_NE_1, kftxkfpnstb10_NE_0, kftxkfpnstb10_5, N107, 
        kftxkfpnstb10_8, kftxkfpnstb10_3_i, ADD_13x13_fast_I14_Y_0, 
        \INIT_ADDR[8] , ADD_13x13_fast_I10_Y_0, N143, N105, I10_un1_Y, 
        N147, N140, \dkjzqmrkvwb_s1[8] , N139, 
        \dkjzqmrkvwb_s0[9]_net_1 , N173, kftxkfpnstb10_NE, 
        kftxkfpnstb10_2_i, gnmdxrqrdgs_5_8_N_4, \gnmdxrqrdgs_5[8] , 
        gnmdxrqrdgs_5_8_N_5, gnmdxrqrdgs_5_8_N_2, N178_tz, 
        ADD_13x13_fast_I7_un1_Y, \dkjzqmrkvwb_s0_i[7] , 
        \dkjzqmrkvwb_s1[7] , \dkjzqmrkvwb_s0[8]_net_1 , 
        \dkjzqmrkvwb_s1[10] , \dkjzqmrkvwb_s0[10]_net_1 , 
        \dkjzqmrkvwb_s1[9] , N146, \gnmdxrqrdgs_5[0] , un1_xkvhpkkjhmx, 
        GND, VCC, GND_net_1, VCC_net_1;
    
    DFN1C0 \gnmdxrqrdgs[2]  (.D(\gnmdxrqrdgs_5[2] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(INIT_ADDR_2));
    AO1 dkjzqmrkvwb_d0_ADD_13x13_fast_I2_P0N (.A(gpbbjwsprsj_0[0]), .B(
        gpbbjwsprsj[1]), .C(\INIT_ADDR[8] ), .Y(N147));
    AX1E dkjzqmrkvwb_d0_ADD_13x13_fast_I14_Y_0 (.A(gpbbjwsprsj_0[0]), 
        .B(gpbbjwsprsj_0[1]), .C(\INIT_ADDR[8] ), .Y(
        ADD_13x13_fast_I14_Y_0));
    XA1C \jvbvzqvvxpc_gnmdxrqrdgs_5[1]  (.A(INIT_ADDR_1), .B(
        ADD_9x9_medium_I3_Y), .C(wtjtwqjkqbd), .Y(\gnmdxrqrdgs_5[1] ));
    AX1D dkjzqmrkvwb_d0_ADD_13x13_fast_I15_Y (.A(I10_un1_Y), .B(
        ADD_13x13_fast_I10_Y_0), .C(mmsccbknsvn[15]), .Y(
        \dkjzqmrkvwb_s0[10]_net_1 ));
    AO16 jvbvzqvvxpc_kftxkfpnstb10_NE_1 (.A(INIT_ADDR_4), .B(
        INIT_ADDR_6), .C(bdhvhfjwtxd_6), .Y(kftxkfpnstb10_NE_1));
    AX1E dkjzqmrkvwb_d1_ADD_13x13_fast_I12_Y (.A(\INIT_ADDR[8] ), .B(
        N178_tz), .C(N_39), .Y(\dkjzqmrkvwb_s1[9] ));
    XNOR2 dkjzqmrkvwb_d0_ADD_13x13_fast_I14_Y (.A(
        ADD_13x13_fast_I14_Y_0), .B(N173), .Y(
        \dkjzqmrkvwb_s0[9]_net_1 ));
    AX1E jvbvzqvvxpc_kftxkfpnstb10_8 (.A(INIT_ADDR_5), .B(INIT_ADDR_6), 
        .C(\INIT_ADDR[8] ), .Y(kftxkfpnstb10_8));
    DFN1C0 \gnmdxrqrdgs[0]  (.D(\gnmdxrqrdgs_5[0] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(INIT_ADDR_0));
    MX2C \dkjzqmrkvwb_s0[10]  (.A(\dkjzqmrkvwb_s1[10] ), .B(
        \dkjzqmrkvwb_s0[10]_net_1 ), .S(bdhvhfjwtxd_0[0]), .Y(
        bqhrfdzctjc_14));
    XA1C \jvbvzqvvxpc_gnmdxrqrdgs_5[2]  (.A(INIT_ADDR_2), .B(
        ADD_9x9_medium_I19_un1_Y), .C(wtjtwqjkqbd), .Y(
        \gnmdxrqrdgs_5[2] ));
    MX2C \dkjzqmrkvwb_s0[5]  (.A(INIT_ADDR_5), .B(INIT_ADDR_4), .S(
        bdhvhfjwtxd_0[0]), .Y(bqhrfdzctjc_4));
    DFN1C0 \gnmdxrqrdgs[5]  (.D(\gnmdxrqrdgs_5[5] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(INIT_ADDR_5));
    MX2C \dkjzqmrkvwb_s0[1]  (.A(INIT_ADDR_1), .B(INIT_ADDR_0), .S(
        bdhvhfjwtxd_0_d0), .Y(bqhrfdzctjc_0));
    XA1B \jvbvzqvvxpc_gnmdxrqrdgs_5[0]  (.A(INIT_ADDR_0), .B(
        qdgqbvgcnzn), .C(wtjtwqjkqbd), .Y(\gnmdxrqrdgs_5[0] ));
    OR3C un1_wpfsqtfqtmx_ADD_9x9_medium_I8_Y (.A(ADD_9x9_medium_I6_Y_s)
        , .B(ADD_9x9_medium_I8_Y_0), .C(qdgqbvgcnzn), .Y(
        ADD_9x9_medium_I8_Y));
    OR2 jvbvzqvvxpc_un1_xkvhpkkjhmx (.A(wtjtwqjkqbd), .B(
        kftxkfpnstb10_NE), .Y(un1_xkvhpkkjhmx));
    XA1C \jvbvzqvvxpc_gnmdxrqrdgs_5[3]  (.A(INIT_ADDR_3), .B(
        ADD_9x9_medium_I6_Y), .C(wtjtwqjkqbd), .Y(\gnmdxrqrdgs_5[3] ));
    VCC VCC_i (.Y(VCC));
    NOR2B jvbvzqvvxpc_kftxkfpnstb10_NE (.A(kftxkfpnstb10_NE_6), .B(
        kftxkfpnstb10_2_i), .Y(kftxkfpnstb10_NE));
    XA1A dkjzqmrkvwb_d0_ADD_13x13_fast_I0_CO1 (.A(gpbbjwsprsj_0[0]), 
        .B(gpbbjwsprsj_0[1]), .C(INIT_ADDR_6), .Y(N140));
    OR3C un1_wpfsqtfqtmx_ADD_9x9_medium_I19_un1_Y (.A(INIT_ADDR_0), .B(
        INIT_ADDR_1), .C(qdgqbvgcnzn), .Y(ADD_9x9_medium_I19_un1_Y));
    NOR3C un1_wpfsqtfqtmx_ADD_9x9_medium_I6_Y_s (.A(INIT_ADDR_1), .B(
        INIT_ADDR_2), .C(INIT_ADDR_0), .Y(ADD_9x9_medium_I6_Y_s));
    MX2C jvbvzqvvxpc_gnmdxrqrdgs_5_8_m4 (.A(gnmdxrqrdgs_5_8_N_2), .B(
        gnmdxrqrdgs_5_8_N_4), .S(NVM_LOCK_net_0), .Y(
        gnmdxrqrdgs_5_8_N_5));
    XA1A dkjzqmrkvwb_d1_ADD_13x13_fast_I0_CO1 (.A(gpbbjwsprsj_0[0]), 
        .B(gpbbjwsprsj_0[1]), .C(INIT_ADDR_7), .Y(N139));
    NOR3C jvbvzqvvxpc_kftxkfpnstb10_NE_6 (.A(kftxkfpnstb10_NE_4), .B(
        kftxkfpnstb10_NE_3), .C(kftxkfpnstb10_7), .Y(
        kftxkfpnstb10_NE_6));
    XA1A jvbvzqvvxpc_kftxkfpnstb10_NE_0 (.A(INIT_ADDR_1), .B(
        INIT_ADDR_2), .C(kftxkfpnstb10_3_i), .Y(kftxkfpnstb10_NE_0));
    XA1C jvbvzqvvxpc_gnmdxrqrdgs_5_8_m6 (.A(\INIT_ADDR[8] ), .B(
        gnmdxrqrdgs_5_8_N_5), .C(wtjtwqjkqbd), .Y(\gnmdxrqrdgs_5[8] ));
    DFN1C0 \gnmdxrqrdgs[1]  (.D(\gnmdxrqrdgs_5[1] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(INIT_ADDR_1));
    OR2B un1_wpfsqtfqtmx_ADD_9x9_medium_I2_Y (.A(INIT_ADDR_2), .B(
        INIT_ADDR_1), .Y(N107));
    NOR3A un1_wpfsqtfqtmx_ADD_9x9_medium_I9_Y_s (.A(INIT_ADDR_0), .B(
        N107), .C(N105), .Y(ADD_9x9_medium_I9_Y_s));
    XNOR2 jvbvzqvvxpc_kftxkfpnstb10_2 (.A(bdhvhfjwtxd_0_d0), .B(
        INIT_ADDR_2), .Y(kftxkfpnstb10_2_i));
    OR2B un1_wpfsqtfqtmx_ADD_9x9_medium_I3_Y (.A(qdgqbvgcnzn), .B(
        INIT_ADDR_0), .Y(ADD_9x9_medium_I3_Y));
    DFN1C0 \gnmdxrqrdgs[6]  (.D(\gnmdxrqrdgs_5[6] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(INIT_ADDR_6));
    OR2B un1_wpfsqtfqtmx_ADD_9x9_medium_I6_Y (.A(qdgqbvgcnzn), .B(
        ADD_9x9_medium_I6_Y_s), .Y(ADD_9x9_medium_I6_Y));
    MX2C \dkjzqmrkvwb_s0[4]  (.A(INIT_ADDR_4), .B(INIT_ADDR_3), .S(
        bdhvhfjwtxd_0_d0), .Y(bqhrfdzctjc_3));
    XNOR2 dkjzqmrkvwb_d0_ADD_13x13_fast_I13_Y (.A(\dkjzqmrkvwb_s1[7] ), 
        .B(N140), .Y(\dkjzqmrkvwb_s0[8]_net_1 ));
    OR2B dkjzqmrkvwb_d0_ADD_13x13_fast_I3_Y (.A(mmsccbknsvn[15]), .B(
        N146), .Y(N159));
    XA1 dkjzqmrkvwb_d0_ADD_13x13_fast_I1_G0N (.A(gpbbjwsprsj_0[0]), .B(
        gpbbjwsprsj_0[1]), .C(INIT_ADDR_7), .Y(N143));
    XOR3 dkjzqmrkvwb_d0_ADD_13x13_fast_I0_S (.A(gpbbjwsprsj_0[0]), .B(
        gpbbjwsprsj_0[1]), .C(INIT_ADDR_6), .Y(\dkjzqmrkvwb_s0_i[7] ));
    NOR3B un1_wpfsqtfqtmx_ADD_9x9_medium_I8_Y_0 (.A(INIT_ADDR_5), .B(
        INIT_ADDR_6), .C(N105), .Y(ADD_9x9_medium_I8_Y_0));
    XNOR2 jvbvzqvvxpc_kftxkfpnstb10_3 (.A(INIT_ADDR_5), .B(INIT_ADDR_3)
        , .Y(kftxkfpnstb10_3_i));
    XA1C \jvbvzqvvxpc_gnmdxrqrdgs_5[6]  (.A(INIT_ADDR_6), .B(
        ADD_9x9_medium_I17_un1_Y), .C(wtjtwqjkqbd), .Y(
        \gnmdxrqrdgs_5[6] ));
    DFN1C0 \gnmdxrqrdgs[4]  (.D(\gnmdxrqrdgs_5[4] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(INIT_ADDR_4));
    GND GND_i (.Y(GND));
    XA1C \jvbvzqvvxpc_gnmdxrqrdgs_5[7]  (.A(INIT_ADDR_7), .B(
        ADD_9x9_medium_I8_Y), .C(wtjtwqjkqbd), .Y(\gnmdxrqrdgs_5[7] ));
    XOR2 jvbvzqvvxpc_kftxkfpnstb10_5 (.A(mmsccbknsvn[15]), .B(
        INIT_ADDR_5), .Y(kftxkfpnstb10_5));
    XA1C \jvbvzqvvxpc_gnmdxrqrdgs_5[5]  (.A(INIT_ADDR_5), .B(
        ADD_9x9_medium_I9_Y), .C(wtjtwqjkqbd), .Y(\gnmdxrqrdgs_5[5] ));
    DFN1C0 \gnmdxrqrdgs[3]  (.D(\gnmdxrqrdgs_5[3] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(INIT_ADDR_3));
    MX2C \dkjzqmrkvwb_s0[3]  (.A(INIT_ADDR_3), .B(INIT_ADDR_2), .S(
        bdhvhfjwtxd_0_d0), .Y(bqhrfdzctjc_2));
    XA1 jvbvzqvvxpc_kftxkfpnstb10_NE_3 (.A(INIT_ADDR_0), .B(N107), .C(
        kftxkfpnstb10_8), .Y(kftxkfpnstb10_NE_3));
    XO1 dkjzqmrkvwb_d1_ADD_13x13_fast_I5_Y_tz (.A(gpbbjwsprsj_0[0]), 
        .B(gpbbjwsprsj_0[1]), .C(INIT_ADDR_7), .Y(N178_tz));
    AX1C dkjzqmrkvwb_d1_ADD_13x13_fast_I13_Y (.A(N146), .B(N139), .C(
        mmsccbknsvn[15]), .Y(\dkjzqmrkvwb_s1[10] ));
    AO13 dkjzqmrkvwb_d0_ADD_13x13_fast_I10_Y_0 (.A(\INIT_ADDR[8] ), .B(
        N143), .C(N_39), .Y(ADD_13x13_fast_I10_Y_0));
    NOR3C dkjzqmrkvwb_d0_ADD_13x13_fast_I10_un1_Y (.A(N147), .B(
        INIT_ADDR_7), .C(N140), .Y(I10_un1_Y));
    NOR3A jvbvzqvvxpc_gnmdxrqrdgs_5_8_m3 (.A(xbkjkgdsbfh), .B(
        NVM_BUSY_net), .C(gnmdxrqrdgs_5_8_m3_0), .Y(
        gnmdxrqrdgs_5_8_N_4));
    MX2C \dkjzqmrkvwb_s0[9]  (.A(\dkjzqmrkvwb_s1[9] ), .B(
        \dkjzqmrkvwb_s0[9]_net_1 ), .S(bdhvhfjwtxd_0[0]), .Y(
        bqhrfdzctjc_13));
    NOR2B dkjzqmrkvwb_d0_ADD_13x13_fast_I7_un1_Y (.A(INIT_ADDR_7), .B(
        INIT_ADDR_6), .Y(ADD_13x13_fast_I7_un1_Y));
    OR3B jvbvzqvvxpc_gnmdxrqrdgs_5_8_m3_0 (.A(ADD_9x9_medium_I8_Y_0), 
        .B(gnmdxrqrdgs_5tt_8_m3_e_1), .C(mhxwcfnvbgt), .Y(
        gnmdxrqrdgs_5_8_m3_0));
    OR3C dkjzqmrkvwb_d0_ADD_13x13_fast_I9_un1_Y (.A(N147), .B(
        mmsccbknsvn[15]), .C(N173), .Y(I9_un1_Y));
    DFN1C0 \gnmdxrqrdgs[8]  (.D(\gnmdxrqrdgs_5[8] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(\INIT_ADDR[8] ));
    MX2A \dkjzqmrkvwb_s0[7]  (.A(\dkjzqmrkvwb_s1[7] ), .B(
        \dkjzqmrkvwb_s0_i[7] ), .S(bdhvhfjwtxd_0[0]), .Y(
        bqhrfdzctjc_11));
    MX2C \dkjzqmrkvwb_s0[2]  (.A(INIT_ADDR_2), .B(INIT_ADDR_1), .S(
        bdhvhfjwtxd_0_d0), .Y(bqhrfdzctjc_1));
    OR2 dkjzqmrkvwb_d0_ADD_13x13_fast_I7_Y (.A(N143), .B(
        ADD_13x13_fast_I7_un1_Y), .Y(N173));
    XOR2 jvbvzqvvxpc_kftxkfpnstb10_7 (.A(bdhvhfjwtxd_7), .B(
        INIT_ADDR_7), .Y(kftxkfpnstb10_7));
    NOR3B jvbvzqvvxpc_gnmdxrqrdgs_5tt_8_m3_e_1 (.A(INIT_ADDR_0), .B(
        INIT_ADDR_7), .C(N107), .Y(gnmdxrqrdgs_5tt_8_m3_e_1));
    DFN1C0 \gnmdxrqrdgs[7]  (.D(\gnmdxrqrdgs_5[7] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(INIT_ADDR_7));
    XNOR3 dkjzqmrkvwb_d1_ADD_13x13_fast_I0_S (.A(gpbbjwsprsj_0[0]), .B(
        gpbbjwsprsj_0[1]), .C(INIT_ADDR_7), .Y(\dkjzqmrkvwb_s1[7] ));
    OR3C un1_wpfsqtfqtmx_ADD_9x9_medium_I18_un1_Y (.A(
        ADD_9x9_medium_I6_Y_s), .B(INIT_ADDR_3), .C(qdgqbvgcnzn), .Y(
        ADD_9x9_medium_I18_un1_Y));
    OR2B un1_wpfsqtfqtmx_ADD_9x9_medium_I1_Y (.A(INIT_ADDR_4), .B(
        INIT_ADDR_3), .Y(N105));
    OR3C un1_wpfsqtfqtmx_ADD_9x9_medium_I17_un1_Y (.A(
        ADD_9x9_medium_I9_Y_s), .B(INIT_ADDR_5), .C(qdgqbvgcnzn), .Y(
        ADD_9x9_medium_I17_un1_Y));
    DFN1E1C0 kftxkfpnstb (.D(kftxkfpnstb10_NE), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .E(un1_xkvhpkkjhmx), .Q(mhxwcfnvbgt));
    OR2B un1_wpfsqtfqtmx_ADD_9x9_medium_I9_Y (.A(qdgqbvgcnzn), .B(
        ADD_9x9_medium_I9_Y_s), .Y(ADD_9x9_medium_I9_Y));
    XA1C \jvbvzqvvxpc_gnmdxrqrdgs_5[4]  (.A(INIT_ADDR_4), .B(
        ADD_9x9_medium_I18_un1_Y), .C(wtjtwqjkqbd), .Y(
        \gnmdxrqrdgs_5[4] ));
    NOR3C dkjzqmrkvwb_d0_ADD_13x13_fast_I2_G0N (.A(gpbbjwsprsj[0]), .B(
        gpbbjwsprsj[1]), .C(\INIT_ADDR[8] ), .Y(N146));
    NOR3B jvbvzqvvxpc_gnmdxrqrdgs_5_8_m1 (.A(ADD_9x9_medium_I8_Y_0), 
        .B(gnmdxrqrdgs_5tt_8_m3_e_1), .C(fhpsqkqvwpw), .Y(
        gnmdxrqrdgs_5_8_N_2));
    MX2C \dkjzqmrkvwb_s0[6]  (.A(INIT_ADDR_6), .B(INIT_ADDR_5), .S(
        bdhvhfjwtxd_0[0]), .Y(bqhrfdzctjc_5));
    MX2C \dkjzqmrkvwb_s0[8]  (.A(\dkjzqmrkvwb_s1[8] ), .B(
        \dkjzqmrkvwb_s0[8]_net_1 ), .S(bdhvhfjwtxd_0[0]), .Y(
        bqhrfdzctjc_12));
    NOR3C jvbvzqvvxpc_kftxkfpnstb10_NE_4 (.A(kftxkfpnstb10_NE_1), .B(
        kftxkfpnstb10_NE_0), .C(kftxkfpnstb10_5), .Y(
        kftxkfpnstb10_NE_4));
    XOR3 dkjzqmrkvwb_d1_ADD_13x13_fast_I11_Y (.A(N_374_i), .B(
        \INIT_ADDR[8] ), .C(N139), .Y(\dkjzqmrkvwb_s1[8] ));
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    
endmodule


module INITCFG_XD_9s(
       INIT_ADDR,
       bdhvhfjwtxd_6,
       bdhvhfjwtxd_0_d0,
       bdhvhfjwtxd_7,
       gpbbjwsprsj_0,
       mmsccbknsvn,
       bqhrfdzctjc_12,
       bqhrfdzctjc_14,
       bqhrfdzctjc_13,
       bqhrfdzctjc_11,
       bqhrfdzctjc_5,
       bqhrfdzctjc_4,
       bqhrfdzctjc_3,
       bqhrfdzctjc_2,
       bqhrfdzctjc_1,
       bqhrfdzctjc_0,
       bdhvhfjwtxd_0,
       gpbbjwsprsj,
       qdgqbvgcnzn,
       wtjtwqjkqbd,
       mhxwcfnvbgt,
       N_39,
       N_374_i,
       I9_un1_Y,
       xbkjkgdsbfh,
       NVM_BUSY_net,
       NVM_LOCK_net_0,
       fhpsqkqvwpw,
       N159,
       SYSCLK_c,
       SYSRSTn_c
    );
output [7:0] INIT_ADDR;
input  bdhvhfjwtxd_6;
input  bdhvhfjwtxd_0_d0;
input  bdhvhfjwtxd_7;
input  [1:0] gpbbjwsprsj_0;
input  [15:15] mmsccbknsvn;
output bqhrfdzctjc_12;
output bqhrfdzctjc_14;
output bqhrfdzctjc_13;
output bqhrfdzctjc_11;
output bqhrfdzctjc_5;
output bqhrfdzctjc_4;
output bqhrfdzctjc_3;
output bqhrfdzctjc_2;
output bqhrfdzctjc_1;
output bqhrfdzctjc_0;
input  [0:0] bdhvhfjwtxd_0;
input  [1:0] gpbbjwsprsj;
input  qdgqbvgcnzn;
input  wtjtwqjkqbd;
output mhxwcfnvbgt;
input  N_39;
input  N_374_i;
output I9_un1_Y;
input  xbkjkgdsbfh;
input  NVM_BUSY_net;
input  NVM_LOCK_net_0;
input  fhpsqkqvwpw;
output N159;
input  SYSCLK_c;
input  SYSRSTn_c;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    dxwqxgdccxc_9s u_dxwqxgdccxc (.gpbbjwsprsj({gpbbjwsprsj[1], 
        gpbbjwsprsj[0]}), .bdhvhfjwtxd_0({bdhvhfjwtxd_0[0]}), 
        .bqhrfdzctjc_0(bqhrfdzctjc_0), .bqhrfdzctjc_1(bqhrfdzctjc_1), 
        .bqhrfdzctjc_2(bqhrfdzctjc_2), .bqhrfdzctjc_3(bqhrfdzctjc_3), 
        .bqhrfdzctjc_4(bqhrfdzctjc_4), .bqhrfdzctjc_5(bqhrfdzctjc_5), 
        .bqhrfdzctjc_11(bqhrfdzctjc_11), .bqhrfdzctjc_13(
        bqhrfdzctjc_13), .bqhrfdzctjc_14(bqhrfdzctjc_14), 
        .bqhrfdzctjc_12(bqhrfdzctjc_12), .mmsccbknsvn({mmsccbknsvn[15]})
        , .gpbbjwsprsj_0({gpbbjwsprsj_0[1], gpbbjwsprsj_0[0]}), 
        .bdhvhfjwtxd_7(bdhvhfjwtxd_7), .bdhvhfjwtxd_0_d0(
        bdhvhfjwtxd_0_d0), .bdhvhfjwtxd_6(bdhvhfjwtxd_6), .INIT_ADDR_2(
        INIT_ADDR[2]), .INIT_ADDR_4(INIT_ADDR[4]), .INIT_ADDR_6(
        INIT_ADDR[6]), .INIT_ADDR_7(INIT_ADDR[7]), .INIT_ADDR_5(
        INIT_ADDR[5]), .INIT_ADDR_3(INIT_ADDR[3]), .INIT_ADDR_1(
        INIT_ADDR[1]), .INIT_ADDR_0(INIT_ADDR[0]), .SYSRSTn_c(
        SYSRSTn_c), .SYSCLK_c(SYSCLK_c), .N159(N159), .fhpsqkqvwpw(
        fhpsqkqvwpw), .NVM_LOCK_net_0(NVM_LOCK_net_0), .NVM_BUSY_net(
        NVM_BUSY_net), .xbkjkgdsbfh(xbkjkgdsbfh), .I9_un1_Y(I9_un1_Y), 
        .N_374_i(N_374_i), .N_39(N_39), .mhxwcfnvbgt(mhxwcfnvbgt), 
        .wtjtwqjkqbd(wtjtwqjkqbd), .qdgqbvgcnzn(qdgqbvgcnzn));
    GND GND_i (.Y(GND));
    
endmodule


module gpbdjfttbjd_4s_2s(
       INIT_ACM_WEN,
       NVM_BUSY_net,
       xbkjkgdsbfh,
       N_326,
       npgnwznthhx,
       N_322
    );
output INIT_ACM_WEN;
input  NVM_BUSY_net;
input  xbkjkgdsbfh;
input  N_326;
input  npgnwznthhx;
input  N_322;

    wire N_14, N_15, N_4, GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    AOI1B \fpppnnsbksx_r[0]  (.A(N_14), .B(N_15), .C(N_4), .Y(
        INIT_ACM_WEN));
    OA1B tdckqkwvkfk_un1_hvwtzkgfwtj_1_i (.A(npgnwznthhx), .B(
        xbkjkgdsbfh), .C(NVM_BUSY_net), .Y(N_4));
    GND GND_i_0 (.Y(GND_net_1));
    OR2B \fpppnnsbksx_0_a3[0]  (.A(N_322), .B(npgnwznthhx), .Y(N_14));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    OR2 \fpppnnsbksx_0_a3_0[0]  (.A(N_326), .B(npgnwznthhx), .Y(N_15));
    
endmodule


module INITCFG_XE_4s_2s(
       N_322,
       npgnwznthhx,
       N_326,
       xbkjkgdsbfh,
       NVM_BUSY_net,
       INIT_ACM_WEN
    );
input  N_322;
input  npgnwznthhx;
input  N_326;
input  xbkjkgdsbfh;
input  NVM_BUSY_net;
output INIT_ACM_WEN;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    gpbdjfttbjd_4s_2s u_gpbdjfttbjd (.INIT_ACM_WEN(INIT_ACM_WEN), 
        .NVM_BUSY_net(NVM_BUSY_net), .xbkjkgdsbfh(xbkjkgdsbfh), .N_326(
        N_326), .npgnwznthhx(npgnwznthhx), .N_322(N_322));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module ffppvfwnggt_4s_2s_9s(
       mmsccbknsvn,
       bqhrfdzctjc_0,
       bqhrfdzctjc_1,
       bqhrfdzctjc_2,
       bqhrfdzctjc_3,
       bqhrfdzctjc_4,
       bqhrfdzctjc_5,
       bqhrfdzctjc_11,
       bqhrfdzctjc_12,
       bqhrfdzctjc_13,
       bqhrfdzctjc_14,
       bdhvhfjwtxd_6,
       bdhvhfjwtxd_7,
       bdhvhfjwtxd_0_d0,
       hbqjhzzrbnr,
       mwtvnzdkmwm,
       vvpkfmmpprk,
       gpbbjwsprsj,
       INIT_ADDR,
       srdtcqsfmmm_1,
       srdtcqsfmmm_2,
       srdtcqsfmmm_3,
       srdtcqsfmmm_4,
       srdtcqsfmmm_5,
       srdtcqsfmmm_6,
       srdtcqsfmmm_12,
       srdtcqsfmmm_13,
       srdtcqsfmmm_14,
       srdtcqsfmmm_15,
       srdtcqsfmmm_16,
       srdtcqsfmmm_0,
       bdhvhfjwtxd_0,
       N_42,
       N_54,
       wtjtwqjkqbd,
       N_39,
       N159,
       I9_un1_Y,
       xbkjkgdsbfh,
       NVM_REN_net,
       N_374_i,
       N_326,
       N_322,
       qdvwjxmzbpf,
       bfcqzvtnrcn,
       NVM_LOCK_net_0,
       NVM_LOCK_net,
       dxpbcqjpxtw,
       fhpsqkqvwpw,
       qdgqbvgcnzn
    );
output [15:15] mmsccbknsvn;
input  bqhrfdzctjc_0;
input  bqhrfdzctjc_1;
input  bqhrfdzctjc_2;
input  bqhrfdzctjc_3;
input  bqhrfdzctjc_4;
input  bqhrfdzctjc_5;
input  bqhrfdzctjc_11;
input  bqhrfdzctjc_12;
input  bqhrfdzctjc_13;
input  bqhrfdzctjc_14;
output bdhvhfjwtxd_6;
output bdhvhfjwtxd_7;
output bdhvhfjwtxd_0_d0;
output [0:0] hbqjhzzrbnr;
input  [3:3] mwtvnzdkmwm;
input  [1:0] vvpkfmmpprk;
input  [1:0] gpbbjwsprsj;
input  [0:0] INIT_ADDR;
output srdtcqsfmmm_1;
output srdtcqsfmmm_2;
output srdtcqsfmmm_3;
output srdtcqsfmmm_4;
output srdtcqsfmmm_5;
output srdtcqsfmmm_6;
output srdtcqsfmmm_12;
output srdtcqsfmmm_13;
output srdtcqsfmmm_14;
output srdtcqsfmmm_15;
output srdtcqsfmmm_16;
output srdtcqsfmmm_0;
output [0:0] bdhvhfjwtxd_0;
input  N_42;
input  N_54;
output wtjtwqjkqbd;
output N_39;
input  N159;
input  I9_un1_Y;
input  xbkjkgdsbfh;
output NVM_REN_net;
output N_374_i;
output N_326;
output N_322;
input  qdvwjxmzbpf;
input  bfcqzvtnrcn;
output NVM_LOCK_net_0;
output NVM_LOCK_net;
input  dxpbcqjpxtw;
input  fhpsqkqvwpw;
output qdgqbvgcnzn;

    wire N_356_i, GND, VCC, GND_net_1, VCC_net_1;
    
    OA1 ttgsznzrpgx_m (.A(mwtvnzdkmwm[3]), .B(xbkjkgdsbfh), .C(
        NVM_LOCK_net_0), .Y(NVM_REN_net));
    NOR2A \srdtcqsfmmm[15]  (.A(NVM_LOCK_net_0), .B(bqhrfdzctjc_14), 
        .Y(srdtcqsfmmm_15));
    NOR2A jsnhqgkgbcr_un1_sdcfzkxtrzd_1_0 (.A(bfcqzvtnrcn), .B(
        qdvwjxmzbpf), .Y(NVM_LOCK_net_0));
    MX2C \cpqqthwwhvc[4]  (.A(vvpkfmmpprk[0]), .B(gpbbjwsprsj[0]), .S(
        bfcqzvtnrcn), .Y(bdhvhfjwtxd_6));
    MX2 \hrdbnmzftpn[15]  (.A(vvpkfmmpprk[1]), .B(gpbbjwsprsj[1]), .S(
        bfcqzvtnrcn), .Y(mmsccbknsvn[15]));
    NOR2A \srdtcqsfmmm[5]  (.A(NVM_LOCK_net), .B(bqhrfdzctjc_4), .Y(
        srdtcqsfmmm_5));
    OR2B fbbktrwjsfz_14__jpwmbghfxsf_pmux_i (.A(gpbbjwsprsj[1]), .B(
        gpbbjwsprsj[0]), .Y(N_39));
    MX2C \hrdbnmzftpn[13]  (.A(N_356_i), .B(N_374_i), .S(bfcqzvtnrcn), 
        .Y(bdhvhfjwtxd_7));
    XOR2 qdsrcxnjmqd_7__jmqbtcrmtbc_pmux_0_x2 (.A(gpbbjwsprsj[1]), .B(
        gpbbjwsprsj[0]), .Y(N_374_i));
    NOR2A jsnhqgkgbcr_un1_sdcfzkxtrzd_1 (.A(bfcqzvtnrcn), .B(
        qdvwjxmzbpf), .Y(NVM_LOCK_net));
    GND GND_i_0 (.Y(GND_net_1));
    NOR2A \srdtcqsfmmm[13]  (.A(NVM_LOCK_net_0), .B(bqhrfdzctjc_12), 
        .Y(srdtcqsfmmm_13));
    NOR2A \srdtcqsfmmm[6]  (.A(NVM_LOCK_net_0), .B(bqhrfdzctjc_5), .Y(
        srdtcqsfmmm_6));
    MX2A \cpqqthwwhvc[2]  (.A(N_322), .B(N_326), .S(bfcqzvtnrcn), .Y(
        bdhvhfjwtxd_0_d0));
    VCC VCC_i (.Y(VCC));
    NOR3B \srdtcqsfmmm[0]  (.A(NVM_LOCK_net_0), .B(INIT_ADDR[0]), .C(
        bdhvhfjwtxd_0[0]), .Y(srdtcqsfmmm_0));
    XOR2 zxzfdgsvvwt_7__jmqbtcrmtbc_pmux_0_x2 (.A(vvpkfmmpprk[1]), .B(
        vvpkfmmpprk[0]), .Y(N_356_i));
    MX2 ttkcwbrgmjd (.A(N_54), .B(N_42), .S(NVM_LOCK_net), .Y(
        wtjtwqjkqbd));
    GND GND_i (.Y(GND));
    NOR2A \srdtcqsfmmm[12]  (.A(NVM_LOCK_net_0), .B(bqhrfdzctjc_11), 
        .Y(srdtcqsfmmm_12));
    NOR2A \srdtcqsfmmm[1]  (.A(NVM_LOCK_net), .B(bqhrfdzctjc_0), .Y(
        srdtcqsfmmm_1));
    NOR2A \srdtcqsfmmm[2]  (.A(NVM_LOCK_net), .B(bqhrfdzctjc_1), .Y(
        srdtcqsfmmm_2));
    OR2 mrnhkstpdfd_0__bwnnbzmgmdd_pmux_i_a2 (.A(gpbbjwsprsj[1]), .B(
        gpbbjwsprsj[0]), .Y(N_326));
    VCC VCC_i_0 (.Y(VCC_net_1));
    AOI1B \srdtcqsfmmm[16]  (.A(I9_un1_Y), .B(N159), .C(NVM_LOCK_net_0)
        , .Y(srdtcqsfmmm_16));
    MX2A \cpqqthwwhvc_0[2]  (.A(N_322), .B(N_326), .S(bfcqzvtnrcn), .Y(
        bdhvhfjwtxd_0[0]));
    NOR2A \srdtcqsfmmm[4]  (.A(NVM_LOCK_net), .B(bqhrfdzctjc_3), .Y(
        srdtcqsfmmm_4));
    NOR2A \srdtcqsfmmm[14]  (.A(NVM_LOCK_net_0), .B(bqhrfdzctjc_13), 
        .Y(srdtcqsfmmm_14));
    NOR2B \hbqjhzzrbnr[0]  (.A(NVM_LOCK_net_0), .B(bdhvhfjwtxd_0_d0), 
        .Y(hbqjhzzrbnr[0]));
    NOR2 dbgvvmtsxbh_0__bwnnbzmgmdd_pmux_i_a2 (.A(vvpkfmmpprk[1]), .B(
        vvpkfmmpprk[0]), .Y(N_322));
    MX2A cbfkvdxnxdp (.A(fhpsqkqvwpw), .B(dxpbcqjpxtw), .S(
        NVM_LOCK_net), .Y(qdgqbvgcnzn));
    NOR2A \srdtcqsfmmm[3]  (.A(NVM_LOCK_net), .B(bqhrfdzctjc_2), .Y(
        srdtcqsfmmm_3));
    
endmodule


module INITCFG_XC_4s_2s_9s(
       bdhvhfjwtxd_0,
       srdtcqsfmmm_0,
       srdtcqsfmmm_16,
       srdtcqsfmmm_15,
       srdtcqsfmmm_14,
       srdtcqsfmmm_13,
       srdtcqsfmmm_12,
       srdtcqsfmmm_6,
       srdtcqsfmmm_5,
       srdtcqsfmmm_4,
       srdtcqsfmmm_3,
       srdtcqsfmmm_2,
       srdtcqsfmmm_1,
       INIT_ADDR,
       gpbbjwsprsj,
       vvpkfmmpprk,
       mwtvnzdkmwm,
       hbqjhzzrbnr,
       bdhvhfjwtxd_0_d0,
       bdhvhfjwtxd_7,
       bdhvhfjwtxd_6,
       bqhrfdzctjc_14,
       bqhrfdzctjc_13,
       bqhrfdzctjc_12,
       bqhrfdzctjc_11,
       bqhrfdzctjc_5,
       bqhrfdzctjc_4,
       bqhrfdzctjc_3,
       bqhrfdzctjc_2,
       bqhrfdzctjc_1,
       bqhrfdzctjc_0,
       mmsccbknsvn,
       qdgqbvgcnzn,
       fhpsqkqvwpw,
       dxpbcqjpxtw,
       NVM_LOCK_net,
       NVM_LOCK_net_0,
       bfcqzvtnrcn,
       qdvwjxmzbpf,
       N_322,
       N_326,
       N_374_i,
       NVM_REN_net,
       xbkjkgdsbfh,
       I9_un1_Y,
       N159,
       N_39,
       wtjtwqjkqbd,
       N_54,
       N_42
    );
output [0:0] bdhvhfjwtxd_0;
output srdtcqsfmmm_0;
output srdtcqsfmmm_16;
output srdtcqsfmmm_15;
output srdtcqsfmmm_14;
output srdtcqsfmmm_13;
output srdtcqsfmmm_12;
output srdtcqsfmmm_6;
output srdtcqsfmmm_5;
output srdtcqsfmmm_4;
output srdtcqsfmmm_3;
output srdtcqsfmmm_2;
output srdtcqsfmmm_1;
input  [0:0] INIT_ADDR;
input  [1:0] gpbbjwsprsj;
input  [1:0] vvpkfmmpprk;
input  [3:3] mwtvnzdkmwm;
output [0:0] hbqjhzzrbnr;
output bdhvhfjwtxd_0_d0;
output bdhvhfjwtxd_7;
output bdhvhfjwtxd_6;
input  bqhrfdzctjc_14;
input  bqhrfdzctjc_13;
input  bqhrfdzctjc_12;
input  bqhrfdzctjc_11;
input  bqhrfdzctjc_5;
input  bqhrfdzctjc_4;
input  bqhrfdzctjc_3;
input  bqhrfdzctjc_2;
input  bqhrfdzctjc_1;
input  bqhrfdzctjc_0;
output [15:15] mmsccbknsvn;
output qdgqbvgcnzn;
input  fhpsqkqvwpw;
input  dxpbcqjpxtw;
output NVM_LOCK_net;
output NVM_LOCK_net_0;
input  bfcqzvtnrcn;
input  qdvwjxmzbpf;
output N_322;
output N_326;
output N_374_i;
output NVM_REN_net;
input  xbkjkgdsbfh;
input  I9_un1_Y;
input  N159;
output N_39;
output wtjtwqjkqbd;
input  N_54;
input  N_42;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    ffppvfwnggt_4s_2s_9s u_ffppvfwnggt (.mmsccbknsvn({mmsccbknsvn[15]})
        , .bqhrfdzctjc_0(bqhrfdzctjc_0), .bqhrfdzctjc_1(bqhrfdzctjc_1), 
        .bqhrfdzctjc_2(bqhrfdzctjc_2), .bqhrfdzctjc_3(bqhrfdzctjc_3), 
        .bqhrfdzctjc_4(bqhrfdzctjc_4), .bqhrfdzctjc_5(bqhrfdzctjc_5), 
        .bqhrfdzctjc_11(bqhrfdzctjc_11), .bqhrfdzctjc_12(
        bqhrfdzctjc_12), .bqhrfdzctjc_13(bqhrfdzctjc_13), 
        .bqhrfdzctjc_14(bqhrfdzctjc_14), .bdhvhfjwtxd_6(bdhvhfjwtxd_6), 
        .bdhvhfjwtxd_7(bdhvhfjwtxd_7), .bdhvhfjwtxd_0_d0(
        bdhvhfjwtxd_0_d0), .hbqjhzzrbnr({hbqjhzzrbnr[0]}), 
        .mwtvnzdkmwm({mwtvnzdkmwm[3]}), .vvpkfmmpprk({vvpkfmmpprk[1], 
        vvpkfmmpprk[0]}), .gpbbjwsprsj({gpbbjwsprsj[1], gpbbjwsprsj[0]})
        , .INIT_ADDR({INIT_ADDR[0]}), .srdtcqsfmmm_1(srdtcqsfmmm_1), 
        .srdtcqsfmmm_2(srdtcqsfmmm_2), .srdtcqsfmmm_3(srdtcqsfmmm_3), 
        .srdtcqsfmmm_4(srdtcqsfmmm_4), .srdtcqsfmmm_5(srdtcqsfmmm_5), 
        .srdtcqsfmmm_6(srdtcqsfmmm_6), .srdtcqsfmmm_12(srdtcqsfmmm_12), 
        .srdtcqsfmmm_13(srdtcqsfmmm_13), .srdtcqsfmmm_14(
        srdtcqsfmmm_14), .srdtcqsfmmm_15(srdtcqsfmmm_15), 
        .srdtcqsfmmm_16(srdtcqsfmmm_16), .srdtcqsfmmm_0(srdtcqsfmmm_0), 
        .bdhvhfjwtxd_0({bdhvhfjwtxd_0[0]}), .N_42(N_42), .N_54(N_54), 
        .wtjtwqjkqbd(wtjtwqjkqbd), .N_39(N_39), .N159(N159), .I9_un1_Y(
        I9_un1_Y), .xbkjkgdsbfh(xbkjkgdsbfh), .NVM_REN_net(NVM_REN_net)
        , .N_374_i(N_374_i), .N_326(N_326), .N_322(N_322), 
        .qdvwjxmzbpf(qdvwjxmzbpf), .bfcqzvtnrcn(bfcqzvtnrcn), 
        .NVM_LOCK_net_0(NVM_LOCK_net_0), .NVM_LOCK_net(NVM_LOCK_net), 
        .dxpbcqjpxtw(dxpbcqjpxtw), .fhpsqkqvwpw(fhpsqkqvwpw), 
        .qdgqbvgcnzn(qdgqbvgcnzn));
    GND GND_i (.Y(GND));
    
endmodule


module wbsfnwwctpn_Z5(
       vvpkfmmpprk,
       SYSRSTn_c,
       SYSCLK_c,
       N_54,
       fhpsqkqvwpw,
       npgnwznthhx,
       NVM_BUSY_net
    );
output [1:0] vvpkfmmpprk;
input  SYSRSTn_c;
input  SYSCLK_c;
output N_54;
output fhpsqkqvwpw;
output npgnwznthhx;
input  NVM_BUSY_net;

    wire \crpwsdfhcqq_ns_i[7]_net_1 , mfwjfgrqchd, 
        \crpwsdfhcqq[7]_net_1 , \crpwsdfhcqq_ns[8] , 
        \crpwsdfhcqq_ns[3]_net_1 , \crpwsdfhcqq[5]_net_1 , 
        \crpwsdfhcqq[1]_net_1 , \crpwsdfhcqq_ns_i[1]_net_1 , 
        \crpwsdfhcqq[8]_net_1 , jspcghhzwmg, 
        \crpwsdfhcqq_ns_i[6]_net_1 , \crpwsdfhcqq_ns[4] , SUM1_0, 
        SUM0_0, GND, VCC, GND_net_1, VCC_net_1;
    
    DFN1C0 \crpwsdfhcqq[3]  (.D(\crpwsdfhcqq_ns[3]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(npgnwznthhx));
    DFN1C0 \crpwsdfhcqq[8]  (.D(\crpwsdfhcqq_ns[8] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(\crpwsdfhcqq[8]_net_1 ));
    GND GND_i_0 (.Y(GND_net_1));
    NOR2A \crpwsdfhcqq_ns_a3[8]  (.A(\crpwsdfhcqq[7]_net_1 ), .B(
        NVM_BUSY_net), .Y(\crpwsdfhcqq_ns[8] ));
    OR2 sfxbvvrsfvn_i_a3 (.A(\crpwsdfhcqq[5]_net_1 ), .B(
        \crpwsdfhcqq[1]_net_1 ), .Y(N_54));
    NOR2 dzzgmgmtbvx_0 (.A(\crpwsdfhcqq[8]_net_1 ), .B(jspcghhzwmg), 
        .Y(fhpsqkqvwpw));
    VCC VCC_i (.Y(VCC));
    XOR2 un1_crpwsdfhcqq_1_SUM0 (.A(vvpkfmmpprk[0]), .B(
        \crpwsdfhcqq[5]_net_1 ), .Y(SUM0_0));
    DFN1C0 \bzcdnkppzhj[0]  (.D(SUM0_0), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(vvpkfmmpprk[0]));
    DFN1C0 \crpwsdfhcqq[6]  (.D(\crpwsdfhcqq_ns_i[6]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(mfwjfgrqchd));
    GND GND_i (.Y(GND));
    DFN1C0 \crpwsdfhcqq[1]  (.D(\crpwsdfhcqq_ns_i[1]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(\crpwsdfhcqq[1]_net_1 ));
    MX2 \crpwsdfhcqq_ns_i[7]  (.A(mfwjfgrqchd), .B(
        \crpwsdfhcqq[7]_net_1 ), .S(NVM_BUSY_net), .Y(
        \crpwsdfhcqq_ns_i[7]_net_1 ));
    DFN1C0 \crpwsdfhcqq[4]  (.D(\crpwsdfhcqq_ns[4] ), .CLK(SYSCLK_c), 
        .CLR(SYSRSTn_c), .Q(jspcghhzwmg));
    VCC VCC_i_0 (.Y(VCC_net_1));
    AX1C un1_crpwsdfhcqq_1_SUM1 (.A(\crpwsdfhcqq[5]_net_1 ), .B(
        vvpkfmmpprk[0]), .C(vvpkfmmpprk[1]), .Y(SUM1_0));
    NOR2B \crpwsdfhcqq_ns_i[6]  (.A(mfwjfgrqchd), .B(NVM_BUSY_net), .Y(
        \crpwsdfhcqq_ns_i[6]_net_1 ));
    NOR2A \crpwsdfhcqq_ns_a3[4]  (.A(npgnwznthhx), .B(NVM_BUSY_net), 
        .Y(\crpwsdfhcqq_ns[4] ));
    AO1B \crpwsdfhcqq_ns[3]  (.A(NVM_BUSY_net), .B(npgnwznthhx), .C(
        fhpsqkqvwpw), .Y(\crpwsdfhcqq_ns[3]_net_1 ));
    DFN1C0 \crpwsdfhcqq[7]  (.D(\crpwsdfhcqq_ns_i[7]_net_1 ), .CLK(
        SYSCLK_c), .CLR(SYSRSTn_c), .Q(\crpwsdfhcqq[7]_net_1 ));
    AOI1B \crpwsdfhcqq_ns_i[1]  (.A(vvpkfmmpprk[0]), .B(vvpkfmmpprk[1])
        , .C(\crpwsdfhcqq[5]_net_1 ), .Y(\crpwsdfhcqq_ns_i[1]_net_1 ));
    DFN1C0 \bzcdnkppzhj[1]  (.D(SUM1_0), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(vvpkfmmpprk[1]));
    DFN1C0 \crpwsdfhcqq[5]  (.D(\crpwsdfhcqq[1]_net_1 ), .CLK(SYSCLK_c)
        , .CLR(SYSRSTn_c), .Q(\crpwsdfhcqq[5]_net_1 ));
    
endmodule


module INITCFG_XB_4s_2s(
       vvpkfmmpprk,
       NVM_BUSY_net,
       npgnwznthhx,
       fhpsqkqvwpw,
       N_54,
       SYSCLK_c,
       SYSRSTn_c
    );
output [1:0] vvpkfmmpprk;
input  NVM_BUSY_net;
output npgnwznthhx;
output fhpsqkqvwpw;
output N_54;
input  SYSCLK_c;
input  SYSRSTn_c;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    wbsfnwwctpn_Z5 u_wbsfnwwctpn (.vvpkfmmpprk({vvpkfmmpprk[1], 
        vvpkfmmpprk[0]}), .SYSRSTn_c(SYSRSTn_c), .SYSCLK_c(SYSCLK_c), 
        .N_54(N_54), .fhpsqkqvwpw(fhpsqkqvwpw), .npgnwznthhx(
        npgnwznthhx), .NVM_BUSY_net(NVM_BUSY_net));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module grwzcnqmqzm_Z6(
       hbqjhzzrbnr,
       INIT_ADDR,
       srdtcqsfmmm_1,
       srdtcqsfmmm_2,
       srdtcqsfmmm_3,
       srdtcqsfmmm_4,
       srdtcqsfmmm_5,
       srdtcqsfmmm_6,
       srdtcqsfmmm_12,
       srdtcqsfmmm_13,
       srdtcqsfmmm_14,
       srdtcqsfmmm_15,
       srdtcqsfmmm_16,
       srdtcqsfmmm_0,
       grwzcnqmqzm_Z6_VCC,
       INIT_ACM_WEN,
       NVM_REN_net,
       NVM_LOCK_net,
       SYSRSTn_c,
       SYSCLK_c,
       NVM_BUSY_net
    );
output [0:0] hbqjhzzrbnr;
output [7:0] INIT_ADDR;
output srdtcqsfmmm_1;
output srdtcqsfmmm_2;
output srdtcqsfmmm_3;
output srdtcqsfmmm_4;
output srdtcqsfmmm_5;
output srdtcqsfmmm_6;
output srdtcqsfmmm_12;
output srdtcqsfmmm_13;
output srdtcqsfmmm_14;
output srdtcqsfmmm_15;
output srdtcqsfmmm_16;
output srdtcqsfmmm_0;
input  grwzcnqmqzm_Z6_VCC;
output INIT_ACM_WEN;
output NVM_REN_net;
output NVM_LOCK_net;
input  SYSRSTn_c;
input  SYSCLK_c;
input  NVM_BUSY_net;

    wire \gpbbjwsprsj_0[0] , \gpbbjwsprsj_0[1] , \mwtvnzdkmwm[3] , 
        \gpbbjwsprsj[0] , \gpbbjwsprsj[1] , dxpbcqjpxtw, xbkjkgdsbfh, 
        mhxwcfnvbgt, N_39, qdvwjxmzbpf, bfcqzvtnrcn, N_42, 
        \vvpkfmmpprk[0] , \vvpkfmmpprk[1] , npgnwznthhx, fhpsqkqvwpw, 
        N_54, \bdhvhfjwtxd_0[0] , \bdhvhfjwtxd[0] , \bdhvhfjwtxd[7] , 
        \bdhvhfjwtxd[6] , \bqhrfdzctjc[15] , \bqhrfdzctjc[14] , 
        \bqhrfdzctjc[13] , \bqhrfdzctjc[12] , \bqhrfdzctjc[6] , 
        \bqhrfdzctjc[5] , \bqhrfdzctjc[4] , \bqhrfdzctjc[3] , 
        \bqhrfdzctjc[2] , \bqhrfdzctjc[1] , \mmsccbknsvn[15] , 
        qdgqbvgcnzn, NVM_LOCK_net_0, N_322, N_326, N_374_i, I9_un1_Y, 
        N159, wtjtwqjkqbd, GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    INITCFG_XF user_clk_sel (.bfcqzvtnrcn(bfcqzvtnrcn), .SYSCLK_c(
        SYSCLK_c), .SYSRSTn_c(SYSRSTn_c), .INITCFG_XF_VCC(
        grwzcnqmqzm_Z6_VCC));
    GND GND_i_0 (.Y(GND_net_1));
    INITCFG_XA_4s_2s init_fsm (.gpbbjwsprsj_0({\gpbbjwsprsj_0[1] , 
        \gpbbjwsprsj_0[0] }), .mwtvnzdkmwm({\mwtvnzdkmwm[3] }), 
        .gpbbjwsprsj({\gpbbjwsprsj[1] , \gpbbjwsprsj[0] }), 
        .dxpbcqjpxtw(dxpbcqjpxtw), .xbkjkgdsbfh(xbkjkgdsbfh), 
        .mhxwcfnvbgt(mhxwcfnvbgt), .NVM_BUSY_net(NVM_BUSY_net), 
        .SYSCLK_c(SYSCLK_c), .SYSRSTn_c(SYSRSTn_c), .N_39(N_39), 
        .qdvwjxmzbpf(qdvwjxmzbpf), .bfcqzvtnrcn(bfcqzvtnrcn), .N_42(
        N_42));
    INITCFG_XD_9s address_gen (.INIT_ADDR({INIT_ADDR[7], INIT_ADDR[6], 
        INIT_ADDR[5], INIT_ADDR[4], INIT_ADDR[3], INIT_ADDR[2], 
        INIT_ADDR[1], INIT_ADDR[0]}), .bdhvhfjwtxd_6(\bdhvhfjwtxd[6] ), 
        .bdhvhfjwtxd_0_d0(\bdhvhfjwtxd[0] ), .bdhvhfjwtxd_7(
        \bdhvhfjwtxd[7] ), .gpbbjwsprsj_0({\gpbbjwsprsj_0[1] , 
        \gpbbjwsprsj_0[0] }), .mmsccbknsvn({\mmsccbknsvn[15] }), 
        .bqhrfdzctjc_12(\bqhrfdzctjc[13] ), .bqhrfdzctjc_14(
        \bqhrfdzctjc[15] ), .bqhrfdzctjc_13(\bqhrfdzctjc[14] ), 
        .bqhrfdzctjc_11(\bqhrfdzctjc[12] ), .bqhrfdzctjc_5(
        \bqhrfdzctjc[6] ), .bqhrfdzctjc_4(\bqhrfdzctjc[5] ), 
        .bqhrfdzctjc_3(\bqhrfdzctjc[4] ), .bqhrfdzctjc_2(
        \bqhrfdzctjc[3] ), .bqhrfdzctjc_1(\bqhrfdzctjc[2] ), 
        .bqhrfdzctjc_0(\bqhrfdzctjc[1] ), .bdhvhfjwtxd_0({
        \bdhvhfjwtxd_0[0] }), .gpbbjwsprsj({\gpbbjwsprsj[1] , 
        \gpbbjwsprsj[0] }), .qdgqbvgcnzn(qdgqbvgcnzn), .wtjtwqjkqbd(
        wtjtwqjkqbd), .mhxwcfnvbgt(mhxwcfnvbgt), .N_39(N_39), .N_374_i(
        N_374_i), .I9_un1_Y(I9_un1_Y), .xbkjkgdsbfh(xbkjkgdsbfh), 
        .NVM_BUSY_net(NVM_BUSY_net), .NVM_LOCK_net_0(NVM_LOCK_net_0), 
        .fhpsqkqvwpw(fhpsqkqvwpw), .N159(N159), .SYSCLK_c(SYSCLK_c), 
        .SYSRSTn_c(SYSRSTn_c));
    VCC VCC_i (.Y(VCC));
    INITCFG_XE_4s_2s valid_client (.N_322(N_322), .npgnwznthhx(
        npgnwznthhx), .N_326(N_326), .xbkjkgdsbfh(xbkjkgdsbfh), 
        .NVM_BUSY_net(NVM_BUSY_net), .INIT_ACM_WEN(INIT_ACM_WEN));
    INITCFG_XC_4s_2s_9s user_control (.bdhvhfjwtxd_0({
        \bdhvhfjwtxd_0[0] }), .srdtcqsfmmm_0(srdtcqsfmmm_0), 
        .srdtcqsfmmm_16(srdtcqsfmmm_16), .srdtcqsfmmm_15(
        srdtcqsfmmm_15), .srdtcqsfmmm_14(srdtcqsfmmm_14), 
        .srdtcqsfmmm_13(srdtcqsfmmm_13), .srdtcqsfmmm_12(
        srdtcqsfmmm_12), .srdtcqsfmmm_6(srdtcqsfmmm_6), .srdtcqsfmmm_5(
        srdtcqsfmmm_5), .srdtcqsfmmm_4(srdtcqsfmmm_4), .srdtcqsfmmm_3(
        srdtcqsfmmm_3), .srdtcqsfmmm_2(srdtcqsfmmm_2), .srdtcqsfmmm_1(
        srdtcqsfmmm_1), .INIT_ADDR({INIT_ADDR[0]}), .gpbbjwsprsj({
        \gpbbjwsprsj[1] , \gpbbjwsprsj[0] }), .vvpkfmmpprk({
        \vvpkfmmpprk[1] , \vvpkfmmpprk[0] }), .mwtvnzdkmwm({
        \mwtvnzdkmwm[3] }), .hbqjhzzrbnr({hbqjhzzrbnr[0]}), 
        .bdhvhfjwtxd_0_d0(\bdhvhfjwtxd[0] ), .bdhvhfjwtxd_7(
        \bdhvhfjwtxd[7] ), .bdhvhfjwtxd_6(\bdhvhfjwtxd[6] ), 
        .bqhrfdzctjc_14(\bqhrfdzctjc[15] ), .bqhrfdzctjc_13(
        \bqhrfdzctjc[14] ), .bqhrfdzctjc_12(\bqhrfdzctjc[13] ), 
        .bqhrfdzctjc_11(\bqhrfdzctjc[12] ), .bqhrfdzctjc_5(
        \bqhrfdzctjc[6] ), .bqhrfdzctjc_4(\bqhrfdzctjc[5] ), 
        .bqhrfdzctjc_3(\bqhrfdzctjc[4] ), .bqhrfdzctjc_2(
        \bqhrfdzctjc[3] ), .bqhrfdzctjc_1(\bqhrfdzctjc[2] ), 
        .bqhrfdzctjc_0(\bqhrfdzctjc[1] ), .mmsccbknsvn({
        \mmsccbknsvn[15] }), .qdgqbvgcnzn(qdgqbvgcnzn), .fhpsqkqvwpw(
        fhpsqkqvwpw), .dxpbcqjpxtw(dxpbcqjpxtw), .NVM_LOCK_net(
        NVM_LOCK_net), .NVM_LOCK_net_0(NVM_LOCK_net_0), .bfcqzvtnrcn(
        bfcqzvtnrcn), .qdvwjxmzbpf(qdvwjxmzbpf), .N_322(N_322), .N_326(
        N_326), .N_374_i(N_374_i), .NVM_REN_net(NVM_REN_net), 
        .xbkjkgdsbfh(xbkjkgdsbfh), .I9_un1_Y(I9_un1_Y), .N159(N159), 
        .N_39(N_39), .wtjtwqjkqbd(wtjtwqjkqbd), .N_54(N_54), .N_42(
        N_42));
    INITCFG_XB_4s_2s save_fsm (.vvpkfmmpprk({\vvpkfmmpprk[1] , 
        \vvpkfmmpprk[0] }), .NVM_BUSY_net(NVM_BUSY_net), .npgnwznthhx(
        npgnwznthhx), .fhpsqkqvwpw(fhpsqkqvwpw), .N_54(N_54), 
        .SYSCLK_c(SYSCLK_c), .SYSRSTn_c(SYSRSTn_c));
    GND GND_i (.Y(GND));
    
endmodule


module INITCFG_Z7(
       srdtcqsfmmm_0,
       srdtcqsfmmm_16,
       srdtcqsfmmm_15,
       srdtcqsfmmm_14,
       srdtcqsfmmm_13,
       srdtcqsfmmm_12,
       srdtcqsfmmm_6,
       srdtcqsfmmm_5,
       srdtcqsfmmm_4,
       srdtcqsfmmm_3,
       srdtcqsfmmm_2,
       srdtcqsfmmm_1,
       INIT_ADDR,
       hbqjhzzrbnr,
       NVM_BUSY_net,
       SYSCLK_c,
       SYSRSTn_c,
       NVM_LOCK_net,
       NVM_REN_net,
       INIT_ACM_WEN,
       INITCFG_Z7_VCC
    );
output srdtcqsfmmm_0;
output srdtcqsfmmm_16;
output srdtcqsfmmm_15;
output srdtcqsfmmm_14;
output srdtcqsfmmm_13;
output srdtcqsfmmm_12;
output srdtcqsfmmm_6;
output srdtcqsfmmm_5;
output srdtcqsfmmm_4;
output srdtcqsfmmm_3;
output srdtcqsfmmm_2;
output srdtcqsfmmm_1;
output [7:0] INIT_ADDR;
output [0:0] hbqjhzzrbnr;
input  NVM_BUSY_net;
input  SYSCLK_c;
input  SYSRSTn_c;
output NVM_LOCK_net;
output NVM_REN_net;
output INIT_ACM_WEN;
input  INITCFG_Z7_VCC;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    grwzcnqmqzm_Z6 u_grwzcnqmqzm (.hbqjhzzrbnr({hbqjhzzrbnr[0]}), 
        .INIT_ADDR({INIT_ADDR[7], INIT_ADDR[6], INIT_ADDR[5], 
        INIT_ADDR[4], INIT_ADDR[3], INIT_ADDR[2], INIT_ADDR[1], 
        INIT_ADDR[0]}), .srdtcqsfmmm_1(srdtcqsfmmm_1), .srdtcqsfmmm_2(
        srdtcqsfmmm_2), .srdtcqsfmmm_3(srdtcqsfmmm_3), .srdtcqsfmmm_4(
        srdtcqsfmmm_4), .srdtcqsfmmm_5(srdtcqsfmmm_5), .srdtcqsfmmm_6(
        srdtcqsfmmm_6), .srdtcqsfmmm_12(srdtcqsfmmm_12), 
        .srdtcqsfmmm_13(srdtcqsfmmm_13), .srdtcqsfmmm_14(
        srdtcqsfmmm_14), .srdtcqsfmmm_15(srdtcqsfmmm_15), 
        .srdtcqsfmmm_16(srdtcqsfmmm_16), .srdtcqsfmmm_0(srdtcqsfmmm_0), 
        .grwzcnqmqzm_Z6_VCC(INITCFG_Z7_VCC), .INIT_ACM_WEN(
        INIT_ACM_WEN), .NVM_REN_net(NVM_REN_net), .NVM_LOCK_net(
        NVM_LOCK_net), .SYSRSTn_c(SYSRSTn_c), .SYSCLK_c(SYSCLK_c), 
        .NVM_BUSY_net(NVM_BUSY_net));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module NVM_CM_init_wrapper(
       hbqjhzzrbnr,
       INIT_ADDR,
       srdtcqsfmmm_1,
       srdtcqsfmmm_2,
       srdtcqsfmmm_3,
       srdtcqsfmmm_4,
       srdtcqsfmmm_5,
       srdtcqsfmmm_6,
       srdtcqsfmmm_12,
       srdtcqsfmmm_13,
       srdtcqsfmmm_14,
       srdtcqsfmmm_15,
       srdtcqsfmmm_16,
       srdtcqsfmmm_0,
       NVM_CM_init_wrapper_VCC,
       INIT_ACM_WEN,
       NVM_REN_net,
       NVM_LOCK_net,
       SYSRSTn_c,
       SYSCLK_c,
       NVM_BUSY_net
    );
output [0:0] hbqjhzzrbnr;
output [7:0] INIT_ADDR;
output srdtcqsfmmm_1;
output srdtcqsfmmm_2;
output srdtcqsfmmm_3;
output srdtcqsfmmm_4;
output srdtcqsfmmm_5;
output srdtcqsfmmm_6;
output srdtcqsfmmm_12;
output srdtcqsfmmm_13;
output srdtcqsfmmm_14;
output srdtcqsfmmm_15;
output srdtcqsfmmm_16;
output srdtcqsfmmm_0;
input  NVM_CM_init_wrapper_VCC;
output INIT_ACM_WEN;
output NVM_REN_net;
output NVM_LOCK_net;
input  SYSRSTn_c;
input  SYSCLK_c;
input  NVM_BUSY_net;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    INITCFG_Z7 user_NVM_CM_init_wrapper (.srdtcqsfmmm_0(srdtcqsfmmm_0), 
        .srdtcqsfmmm_16(srdtcqsfmmm_16), .srdtcqsfmmm_15(
        srdtcqsfmmm_15), .srdtcqsfmmm_14(srdtcqsfmmm_14), 
        .srdtcqsfmmm_13(srdtcqsfmmm_13), .srdtcqsfmmm_12(
        srdtcqsfmmm_12), .srdtcqsfmmm_6(srdtcqsfmmm_6), .srdtcqsfmmm_5(
        srdtcqsfmmm_5), .srdtcqsfmmm_4(srdtcqsfmmm_4), .srdtcqsfmmm_3(
        srdtcqsfmmm_3), .srdtcqsfmmm_2(srdtcqsfmmm_2), .srdtcqsfmmm_1(
        srdtcqsfmmm_1), .INIT_ADDR({INIT_ADDR[7], INIT_ADDR[6], 
        INIT_ADDR[5], INIT_ADDR[4], INIT_ADDR[3], INIT_ADDR[2], 
        INIT_ADDR[1], INIT_ADDR[0]}), .hbqjhzzrbnr({hbqjhzzrbnr[0]}), 
        .NVM_BUSY_net(NVM_BUSY_net), .SYSCLK_c(SYSCLK_c), .SYSRSTn_c(
        SYSRSTn_c), .NVM_LOCK_net(NVM_LOCK_net), .NVM_REN_net(
        NVM_REN_net), .INIT_ACM_WEN(INIT_ACM_WEN), .INITCFG_Z7_VCC(
        NVM_CM_init_wrapper_VCC));
    GND GND_i (.Y(GND));
    
endmodule


module NVM_CM(
       INIT_ADDR,
       INIT_DATA_7,
       INIT_DATA_6,
       INIT_DATA_5,
       INIT_DATA_4,
       INIT_DATA_3,
       INIT_DATA_2,
       INIT_DATA_1,
       INIT_DATA_0,
       INIT_ACM_WEN,
       NVM_CM_VCC,
       SYSRSTn_c,
       SYSCLK_c,
       NVM_CM_GND
    );
output [7:0] INIT_ADDR;
output INIT_DATA_7;
output INIT_DATA_6;
output INIT_DATA_5;
output INIT_DATA_4;
output INIT_DATA_3;
output INIT_DATA_2;
output INIT_DATA_1;
output INIT_DATA_0;
output INIT_ACM_WEN;
input  NVM_CM_VCC;
input  SYSRSTn_c;
input  SYSCLK_c;
input  NVM_CM_GND;

    wire NVM_BUSY_net, \INIT_DATA[8] , \NVM_INST_RD[9] , 
        \NVM_INST_RD[10] , \NVM_INST_RD[11] , \NVM_INST_RD[12] , 
        \NVM_INST_RD[13] , \NVM_INST_RD[14] , \NVM_INST_RD[15] , 
        \NVM_INST_RD[16] , \NVM_INST_RD[17] , \NVM_INST_RD[18] , 
        \NVM_INST_RD[19] , \NVM_INST_RD[20] , \NVM_INST_RD[21] , 
        \NVM_INST_RD[22] , \NVM_INST_RD[23] , \NVM_INST_RD[24] , 
        \NVM_INST_RD[25] , \NVM_INST_RD[26] , \NVM_INST_RD[27] , 
        \NVM_INST_RD[28] , \NVM_INST_RD[29] , \NVM_INST_RD[30] , 
        \NVM_INST_RD[31] , \NVM_INST_STATUS[0] , \NVM_INST_STATUS[1] , 
        \srdtcqsfmmm[0] , \srdtcqsfmmm[1] , \srdtcqsfmmm[2] , 
        \srdtcqsfmmm[3] , \srdtcqsfmmm[4] , \srdtcqsfmmm[5] , 
        \srdtcqsfmmm[6] , \srdtcqsfmmm[12] , \srdtcqsfmmm[13] , 
        \srdtcqsfmmm[14] , \srdtcqsfmmm[15] , \srdtcqsfmmm[16] , 
        \hbqjhzzrbnr[0] , NVM_LOCK_net, NVM_REN_net, GND, VCC, 
        GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    NVM_CM_init_wrapper NVM_CM_init_wrapper_inst (.hbqjhzzrbnr({
        \hbqjhzzrbnr[0] }), .INIT_ADDR({INIT_ADDR[7], INIT_ADDR[6], 
        INIT_ADDR[5], INIT_ADDR[4], INIT_ADDR[3], INIT_ADDR[2], 
        INIT_ADDR[1], INIT_ADDR[0]}), .srdtcqsfmmm_1(\srdtcqsfmmm[1] ), 
        .srdtcqsfmmm_2(\srdtcqsfmmm[2] ), .srdtcqsfmmm_3(
        \srdtcqsfmmm[3] ), .srdtcqsfmmm_4(\srdtcqsfmmm[4] ), 
        .srdtcqsfmmm_5(\srdtcqsfmmm[5] ), .srdtcqsfmmm_6(
        \srdtcqsfmmm[6] ), .srdtcqsfmmm_12(\srdtcqsfmmm[12] ), 
        .srdtcqsfmmm_13(\srdtcqsfmmm[13] ), .srdtcqsfmmm_14(
        \srdtcqsfmmm[14] ), .srdtcqsfmmm_15(\srdtcqsfmmm[15] ), 
        .srdtcqsfmmm_16(\srdtcqsfmmm[16] ), .srdtcqsfmmm_0(
        \srdtcqsfmmm[0] ), .NVM_CM_init_wrapper_VCC(NVM_CM_VCC), 
        .INIT_ACM_WEN(INIT_ACM_WEN), .NVM_REN_net(NVM_REN_net), 
        .NVM_LOCK_net(NVM_LOCK_net), .SYSRSTn_c(SYSRSTn_c), .SYSCLK_c(
        SYSCLK_c), .NVM_BUSY_net(NVM_BUSY_net));
    GND GND_i_0 (.Y(GND_net_1));
    NVM #( .MEMORYFILE("NVM_CM.mem") )  NVM_INST (.RD({
        \NVM_INST_RD[31] , \NVM_INST_RD[30] , \NVM_INST_RD[29] , 
        \NVM_INST_RD[28] , \NVM_INST_RD[27] , \NVM_INST_RD[26] , 
        \NVM_INST_RD[25] , \NVM_INST_RD[24] , \NVM_INST_RD[23] , 
        \NVM_INST_RD[22] , \NVM_INST_RD[21] , \NVM_INST_RD[20] , 
        \NVM_INST_RD[19] , \NVM_INST_RD[18] , \NVM_INST_RD[17] , 
        \NVM_INST_RD[16] , \NVM_INST_RD[15] , \NVM_INST_RD[14] , 
        \NVM_INST_RD[13] , \NVM_INST_RD[12] , \NVM_INST_RD[11] , 
        \NVM_INST_RD[10] , \NVM_INST_RD[9] , \INIT_DATA[8] , 
        INIT_DATA_7, INIT_DATA_6, INIT_DATA_5, INIT_DATA_4, 
        INIT_DATA_3, INIT_DATA_2, INIT_DATA_1, INIT_DATA_0}), .BUSY(
        NVM_BUSY_net), .STATUS({\NVM_INST_STATUS[1] , 
        \NVM_INST_STATUS[0] }), .ADDR({NVM_CM_GND, \srdtcqsfmmm[16] , 
        \srdtcqsfmmm[15] , \srdtcqsfmmm[14] , \srdtcqsfmmm[13] , 
        \srdtcqsfmmm[12] , NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, 
        NVM_CM_GND, NVM_CM_GND, \srdtcqsfmmm[6] , \srdtcqsfmmm[5] , 
        \srdtcqsfmmm[4] , \srdtcqsfmmm[3] , \srdtcqsfmmm[2] , 
        \srdtcqsfmmm[1] , \srdtcqsfmmm[0] }), .WD({NVM_CM_GND, 
        NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, 
        NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, 
        NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, 
        NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, 
        NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, 
        NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, NVM_CM_GND, 
        NVM_CM_GND}), .DATAWIDTH({NVM_CM_GND, \hbqjhzzrbnr[0] }), .REN(
        NVM_REN_net), .WEN(NVM_CM_GND), .PROGRAM(NVM_CM_GND), 
        .SPAREPAGE(NVM_LOCK_net), .AUXBLOCK(NVM_CM_GND), .READNEXT(
        NVM_REN_net), .ERASEPAGE(NVM_CM_GND), .UNPROTECTPAGE(
        NVM_CM_GND), .DISCARDPAGE(NVM_CM_GND), .OVERWRITEPROTECT(
        NVM_CM_GND), .PAGELOSSPROTECT(NVM_CM_GND), .CLK(SYSCLK_c), 
        .RESET(SYSRSTn_c), .PAGESTATUS(NVM_CM_GND), .OVERWRITEPAGE(
        NVM_CM_GND), .PIPE(NVM_CM_GND), .LOCKREQUEST(NVM_LOCK_net));
    VCC VCC_i (.Y(VCC));
    GND GND_i (.Y(GND));
    
endmodule


module VR_INT(
       VR_INT_VCC,
       VR_INT_GND,
       PUB,
       SPARE_c
    );
input  VR_INT_VCC;
input  VR_INT_GND;
input  PUB;
output SPARE_c;

    wire VRPSM1_PUCORE, GND, VCC, GND_net_1, VCC_net_1;
    
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    VCC VCC_i (.Y(VCC));
    VRPSM VRPSM1 (.PUB(PUB), .VRPU(VR_INT_GND), .VRINITSTATE(
        VR_INT_VCC), .RTCPSMMATCH(VR_INT_GND), .FPGAGOOD(SPARE_c), 
        .PUCORE(VRPSM1_PUCORE));
    GND GND_i (.Y(GND));
    
endmodule


module COMP_SM(
       Diff0_c,
       Diff5_c,
       Latest_Update_c,
       Diff1_c,
       Diff2_c,
       Diff3_c,
       Diff4_c,
       SYSRSTn_c,
       SYSCLK_c
    );
output [11:0] Diff0_c;
output [11:0] Diff5_c;
output [2:0] Latest_Update_c;
output [11:0] Diff1_c;
output [11:0] Diff2_c;
output [11:0] Diff3_c;
output [11:0] Diff4_c;
input  SYSRSTn_c;
input  SYSCLK_c;

    wire GND, VCC, GND_net_1, VCC_net_1;
    
    DFN1C0 \Diff_5[6]  (.D(Diff5_c[6]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[6]));
    DFN1C0 \Diff_2[0]  (.D(Diff2_c[0]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[0]));
    DFN1P0 \Latest_Update[1]  (.D(Latest_Update_c[1]), .CLK(SYSCLK_c), 
        .PRE(SYSRSTn_c), .Q(Latest_Update_c[1]));
    DFN1C0 \Diff_3[2]  (.D(Diff3_c[2]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[2]));
    DFN1C0 \Diff_3[9]  (.D(Diff3_c[9]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[9]));
    DFN1C0 \Diff_0[11]  (.D(Diff0_c[11]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff0_c[11]));
    DFN1C0 \Diff_5[3]  (.D(Diff5_c[3]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[3]));
    DFN1C0 \Diff_0[8]  (.D(Diff0_c[8]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[8]));
    DFN1C0 \Diff_2[6]  (.D(Diff2_c[6]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[6]));
    DFN1C0 \Diff_4[9]  (.D(Diff4_c[9]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[9]));
    DFN1C0 \Diff_0[5]  (.D(Diff0_c[5]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[5]));
    DFN1P0 \Latest_Update[2]  (.D(Latest_Update_c[2]), .CLK(SYSCLK_c), 
        .PRE(SYSRSTn_c), .Q(Latest_Update_c[2]));
    DFN1C0 \Diff_3[11]  (.D(Diff3_c[11]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff3_c[11]));
    DFN1C0 \Diff_1[7]  (.D(Diff1_c[7]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[7]));
    DFN1C0 \Diff_1[4]  (.D(Diff1_c[4]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[4]));
    DFN1C0 \Diff_4[11]  (.D(Diff4_c[11]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff4_c[11]));
    DFN1C0 \Diff_0[7]  (.D(Diff0_c[7]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[7]));
    DFN1C0 \Diff_2[4]  (.D(Diff2_c[4]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[4]));
    VCC VCC_i (.Y(VCC));
    DFN1C0 \Diff_4[6]  (.D(Diff4_c[6]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[6]));
    DFN1C0 \Diff_1[0]  (.D(Diff1_c[0]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[0]));
    DFN1C0 \Diff_2[1]  (.D(Diff2_c[1]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[1]));
    DFN1C0 \Diff_4[2]  (.D(Diff4_c[2]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[2]));
    DFN1C0 \Diff_2[7]  (.D(Diff2_c[7]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[7]));
    DFN1C0 \Diff_0[10]  (.D(Diff0_c[10]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff0_c[10]));
    DFN1C0 \Diff_4[4]  (.D(Diff4_c[4]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[4]));
    DFN1C0 \Diff_0[9]  (.D(Diff0_c[9]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[9]));
    DFN1C0 \Diff_1[2]  (.D(Diff1_c[2]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[2]));
    DFN1C0 \Diff_1[5]  (.D(Diff1_c[5]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[5]));
    DFN1C0 \Diff_0[1]  (.D(Diff0_c[1]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[1]));
    DFN1C0 \Diff_3[7]  (.D(Diff3_c[7]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[7]));
    DFN1C0 \Diff_1[1]  (.D(Diff1_c[1]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[1]));
    DFN1C0 \Diff_3[0]  (.D(Diff3_c[0]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[0]));
    DFN1C0 \Diff_3[10]  (.D(Diff3_c[10]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff3_c[10]));
    DFN1C0 \Diff_5[4]  (.D(Diff5_c[4]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[4]));
    DFN1C0 \Diff_2[11]  (.D(Diff2_c[11]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff2_c[11]));
    DFN1C0 \Diff_2[8]  (.D(Diff2_c[8]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[8]));
    DFN1C0 \Diff_4[10]  (.D(Diff4_c[10]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff4_c[10]));
    DFN1C0 \Diff_1[6]  (.D(Diff1_c[6]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[6]));
    DFN1C0 \Diff_5[5]  (.D(Diff5_c[5]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[5]));
    DFN1C0 \Diff_0[4]  (.D(Diff0_c[4]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[4]));
    DFN1C0 \Diff_5[11]  (.D(Diff5_c[11]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff5_c[11]));
    DFN1C0 \Diff_1[9]  (.D(Diff1_c[9]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[9]));
    GND GND_i (.Y(GND));
    DFN1C0 \Diff_5[0]  (.D(Diff5_c[0]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[0]));
    DFN1C0 \Diff_4[8]  (.D(Diff4_c[8]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[8]));
    DFN1C0 \Diff_3[1]  (.D(Diff3_c[1]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[1]));
    DFN1C0 \Diff_1[3]  (.D(Diff1_c[3]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[3]));
    DFN1C0 \Diff_5[8]  (.D(Diff5_c[8]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[8]));
    DFN1C0 \Diff_0[2]  (.D(Diff0_c[2]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[2]));
    DFN1C0 \Diff_4[5]  (.D(Diff4_c[5]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[5]));
    DFN1C0 \Diff_2[3]  (.D(Diff2_c[3]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[3]));
    DFN1C0 \Diff_3[4]  (.D(Diff3_c[4]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[4]));
    DFN1C0 \Diff_2[10]  (.D(Diff2_c[10]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff2_c[10]));
    DFN1C0 \Diff_5[9]  (.D(Diff5_c[9]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[9]));
    DFN1C0 \Diff_3[5]  (.D(Diff3_c[5]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[5]));
    DFN1C0 \Diff_2[5]  (.D(Diff2_c[5]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[5]));
    DFN1C0 \Diff_2[2]  (.D(Diff2_c[2]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[2]));
    DFN1C0 \Diff_1[11]  (.D(Diff1_c[11]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff1_c[11]));
    DFN1C0 \Diff_3[8]  (.D(Diff3_c[8]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[8]));
    DFN1C0 \Diff_5[10]  (.D(Diff5_c[10]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff5_c[10]));
    DFN1C0 \Diff_5[7]  (.D(Diff5_c[7]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[7]));
    DFN1C0 \Diff_4[1]  (.D(Diff4_c[1]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[1]));
    DFN1C0 \Diff_4[0]  (.D(Diff4_c[0]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[0]));
    DFN1C0 \Diff_0[3]  (.D(Diff0_c[3]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[3]));
    DFN1C0 \Diff_3[3]  (.D(Diff3_c[3]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[3]));
    DFN1C0 \Diff_0[6]  (.D(Diff0_c[6]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[6]));
    DFN1C0 \Diff_4[7]  (.D(Diff4_c[7]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[7]));
    DFN1P0 \Latest_Update[0]  (.D(Latest_Update_c[0]), .CLK(SYSCLK_c), 
        .PRE(SYSRSTn_c), .Q(Latest_Update_c[0]));
    DFN1C0 \Diff_2[9]  (.D(Diff2_c[9]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff2_c[9]));
    DFN1C0 \Diff_1[8]  (.D(Diff1_c[8]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff1_c[8]));
    DFN1C0 \Diff_1[10]  (.D(Diff1_c[10]), .CLK(SYSCLK_c), .CLR(
        SYSRSTn_c), .Q(Diff1_c[10]));
    DFN1C0 \Diff_5[1]  (.D(Diff5_c[1]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[1]));
    DFN1C0 \Diff_4[3]  (.D(Diff4_c[3]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff4_c[3]));
    DFN1C0 \Diff_0[0]  (.D(Diff0_c[0]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff0_c[0]));
    DFN1C0 \Diff_5[2]  (.D(Diff5_c[2]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff5_c[2]));
    DFN1C0 \Diff_3[6]  (.D(Diff3_c[6]), .CLK(SYSCLK_c), .CLR(SYSRSTn_c)
        , .Q(Diff3_c[6]));
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    
endmodule


module TOP_CM(
       SYSCLK,
       SYSRSTn,
       VAREF,
       AV0,
       AC0,
       AV1,
       AC1,
       AV2,
       AC2,
       AV3,
       AC3,
       AV4,
       AC4,
       AV5,
       AC5,
       Diff0,
       Diff1,
       Diff2,
       Diff3,
       Diff4,
       Diff5,
       Latest_Update,
       New_Measurement,
       PUB,
       SPARE
    );
input  SYSCLK;
input  SYSRSTn;
inout  VAREF;
input  AV0;
input  AC0;
input  AV1;
input  AC1;
input  AV2;
input  AC2;
input  AV3;
input  AC3;
input  AV4;
input  AC4;
input  AV5;
input  AC5;
output [11:0] Diff0;
output [11:0] Diff1;
output [11:0] Diff2;
output [11:0] Diff3;
output [11:0] Diff4;
output [11:0] Diff5;
output [2:0] Latest_Update;
output New_Measurement;
input  PUB;
output SPARE;

    wire \INIT_ADDR[0] , \INIT_ADDR[1] , \INIT_ADDR[2] , 
        \INIT_ADDR[3] , \INIT_ADDR[4] , \INIT_ADDR[5] , \INIT_ADDR[6] , 
        \INIT_ADDR[7] , \INIT_DATA[0] , \INIT_DATA[1] , \INIT_DATA[2] , 
        \INIT_DATA[3] , \INIT_DATA[4] , \INIT_DATA[5] , \INIT_DATA[6] , 
        \INIT_DATA[7] , INIT_ACM_WEN, VCC, SYSCLK_c, SYSRSTn_c, 
        \Diff0_c[0] , \Diff0_c[1] , \Diff0_c[2] , \Diff0_c[3] , 
        \Diff0_c[4] , \Diff0_c[5] , \Diff0_c[6] , \Diff0_c[7] , 
        \Diff0_c[8] , \Diff0_c[9] , \Diff0_c[10] , \Diff0_c[11] , 
        \Diff1_c[0] , \Diff1_c[1] , \Diff1_c[2] , \Diff1_c[3] , 
        \Diff1_c[4] , \Diff1_c[5] , \Diff1_c[6] , \Diff1_c[7] , 
        \Diff1_c[8] , \Diff1_c[9] , \Diff1_c[10] , \Diff1_c[11] , 
        \Diff2_c[0] , \Diff2_c[1] , \Diff2_c[2] , \Diff2_c[3] , 
        \Diff2_c[4] , \Diff2_c[5] , \Diff2_c[6] , \Diff2_c[7] , 
        \Diff2_c[8] , \Diff2_c[9] , \Diff2_c[10] , \Diff2_c[11] , 
        \Diff3_c[0] , \Diff3_c[1] , \Diff3_c[2] , \Diff3_c[3] , 
        \Diff3_c[4] , \Diff3_c[5] , \Diff3_c[6] , \Diff3_c[7] , 
        \Diff3_c[8] , \Diff3_c[9] , \Diff3_c[10] , \Diff3_c[11] , 
        \Diff4_c[0] , \Diff4_c[1] , \Diff4_c[2] , \Diff4_c[3] , 
        \Diff4_c[4] , \Diff4_c[5] , \Diff4_c[6] , \Diff4_c[7] , 
        \Diff4_c[8] , \Diff4_c[9] , \Diff4_c[10] , \Diff4_c[11] , 
        \Diff5_c[0] , \Diff5_c[1] , \Diff5_c[2] , \Diff5_c[3] , 
        \Diff5_c[4] , \Diff5_c[5] , \Diff5_c[6] , \Diff5_c[7] , 
        \Diff5_c[8] , \Diff5_c[9] , \Diff5_c[10] , \Diff5_c[11] , 
        \Latest_Update_c[0] , \Latest_Update_c[1] , 
        \Latest_Update_c[2] , GND, SPARE_c, GND_net_1, VCC_net_1;
    
    OUTBUF \Diff5_pad[1]  (.D(\Diff5_c[1] ), .PAD(Diff5[1]));
    OUTBUF \Diff1_pad[6]  (.D(\Diff1_c[6] ), .PAD(Diff1[6]));
    OUTBUF \Diff4_pad[6]  (.D(\Diff4_c[6] ), .PAD(Diff4[6]));
    OUTBUF \Diff4_pad[4]  (.D(\Diff4_c[4] ), .PAD(Diff4[4]));
    OUTBUF \Diff3_pad[1]  (.D(\Diff3_c[1] ), .PAD(Diff3[1]));
    OUTBUF \Diff4_pad[10]  (.D(\Diff4_c[10] ), .PAD(Diff4[10]));
    OUTBUF \Diff2_pad[6]  (.D(\Diff2_c[6] ), .PAD(Diff2[6]));
    OUTBUF \Diff1_pad[10]  (.D(\Diff1_c[10] ), .PAD(Diff1[10]));
    OUTBUF \Diff5_pad[3]  (.D(\Diff5_c[3] ), .PAD(Diff5[3]));
    OUTBUF \Diff3_pad[0]  (.D(\Diff3_c[0] ), .PAD(Diff3[0]));
    OUTBUF \Diff2_pad[10]  (.D(\Diff2_c[10] ), .PAD(Diff2[10]));
    OUTBUF \Diff0_pad[7]  (.D(\Diff0_c[7] ), .PAD(Diff0[7]));
    OUTBUF \Diff0_pad[2]  (.D(\Diff0_c[2] ), .PAD(Diff0[2]));
    OUTBUF \Diff0_pad[3]  (.D(\Diff0_c[3] ), .PAD(Diff0[3]));
    OUTBUF \Diff5_pad[6]  (.D(\Diff5_c[6] ), .PAD(Diff5[6]));
    OUTBUF \Diff3_pad[11]  (.D(\Diff3_c[11] ), .PAD(Diff3[11]));
    OUTBUF \Diff2_pad[8]  (.D(\Diff2_c[8] ), .PAD(Diff2[8]));
    OUTBUF \Diff1_pad[5]  (.D(\Diff1_c[5] ), .PAD(Diff1[5]));
    VCC VCC_i (.Y(VCC));
    OUTBUF \Diff2_pad[9]  (.D(\Diff2_c[9] ), .PAD(Diff2[9]));
    AB_CM AB_CM_isnt (.INIT_DATA({\INIT_DATA[7] , \INIT_DATA[6] , 
        \INIT_DATA[5] , \INIT_DATA[4] , \INIT_DATA[3] , \INIT_DATA[2] , 
        \INIT_DATA[1] , \INIT_DATA[0] }), .INIT_ADDR({\INIT_ADDR[7] , 
        \INIT_ADDR[6] , \INIT_ADDR[5] , \INIT_ADDR[4] , \INIT_ADDR[3] , 
        \INIT_ADDR[2] , \INIT_ADDR[1] , \INIT_ADDR[0] }), .AV5(AV5), 
        .AC5(AC5), .AV3(AV3), .AC3(AC3), .AV1(AV1), .AC1(AC1), 
        .AB_CM_VCC(VCC), .VAREF(VAREF), .AV2(AV2), .AC2(AC2), 
        .AB_CM_GND(GND), .INIT_ACM_WEN(INIT_ACM_WEN), .AV0(AV0), .AC0(
        AC0), .AV4(AV4), .AC4(AC4));
    OUTBUF \Diff4_pad[0]  (.D(\Diff4_c[0] ), .PAD(Diff4[0]));
    OUTBUF \Diff3_pad[7]  (.D(\Diff3_c[7] ), .PAD(Diff3[7]));
    OUTBUF \Diff5_pad[7]  (.D(\Diff5_c[7] ), .PAD(Diff5[7]));
    OUTBUF SPARE_pad (.D(SPARE_c), .PAD(SPARE));
    OUTBUF \Diff2_pad[2]  (.D(\Diff2_c[2] ), .PAD(Diff2[2]));
    NVM_CM NVM_CM_inst (.INIT_ADDR({\INIT_ADDR[7] , \INIT_ADDR[6] , 
        \INIT_ADDR[5] , \INIT_ADDR[4] , \INIT_ADDR[3] , \INIT_ADDR[2] , 
        \INIT_ADDR[1] , \INIT_ADDR[0] }), .INIT_DATA_7(\INIT_DATA[7] ), 
        .INIT_DATA_6(\INIT_DATA[6] ), .INIT_DATA_5(\INIT_DATA[5] ), 
        .INIT_DATA_4(\INIT_DATA[4] ), .INIT_DATA_3(\INIT_DATA[3] ), 
        .INIT_DATA_2(\INIT_DATA[2] ), .INIT_DATA_1(\INIT_DATA[1] ), 
        .INIT_DATA_0(\INIT_DATA[0] ), .INIT_ACM_WEN(INIT_ACM_WEN), 
        .NVM_CM_VCC(VCC), .SYSRSTn_c(SYSRSTn_c), .SYSCLK_c(SYSCLK_c), 
        .NVM_CM_GND(GND));
    OUTBUF \Diff2_pad[3]  (.D(\Diff2_c[3] ), .PAD(Diff2[3]));
    VR_INT VR_INT_inst (.VR_INT_VCC(VCC), .VR_INT_GND(GND), .PUB(PUB), 
        .SPARE_c(SPARE_c));
    OUTBUF \Diff5_pad[9]  (.D(\Diff5_c[9] ), .PAD(Diff5[9]));
    OUTBUF \Diff0_pad[8]  (.D(\Diff0_c[8] ), .PAD(Diff0[8]));
    OUTBUF \Diff1_pad[2]  (.D(\Diff1_c[2] ), .PAD(Diff1[2]));
    OUTBUF \Diff0_pad[5]  (.D(\Diff0_c[5] ), .PAD(Diff0[5]));
    OUTBUF \Latest_Update_pad[0]  (.D(\Latest_Update_c[0] ), .PAD(
        Latest_Update[0]));
    OUTBUF \Diff2_pad[5]  (.D(\Diff2_c[5] ), .PAD(Diff2[5]));
    OUTBUF New_Measurement_pad (.D(GND), .PAD(New_Measurement));
    OUTBUF \Diff0_pad[10]  (.D(\Diff0_c[10] ), .PAD(Diff0[10]));
    OUTBUF \Diff4_pad[2]  (.D(\Diff4_c[2] ), .PAD(Diff4[2]));
    OUTBUF \Diff2_pad[7]  (.D(\Diff2_c[7] ), .PAD(Diff2[7]));
    OUTBUF \Diff0_pad[1]  (.D(\Diff0_c[1] ), .PAD(Diff0[1]));
    OUTBUF \Diff1_pad[4]  (.D(\Diff1_c[4] ), .PAD(Diff1[4]));
    OUTBUF \Diff0_pad[6]  (.D(\Diff0_c[6] ), .PAD(Diff0[6]));
    CLKBUF SYSCLK_pad (.PAD(SYSCLK), .Y(SYSCLK_c));
    OUTBUF \Diff4_pad[7]  (.D(\Diff4_c[7] ), .PAD(Diff4[7]));
    OUTBUF \Diff4_pad[1]  (.D(\Diff4_c[1] ), .PAD(Diff4[1]));
    OUTBUF \Diff3_pad[4]  (.D(\Diff3_c[4] ), .PAD(Diff3[4]));
    OUTBUF \Diff2_pad[4]  (.D(\Diff2_c[4] ), .PAD(Diff2[4]));
    OUTBUF \Diff3_pad[5]  (.D(\Diff3_c[5] ), .PAD(Diff3[5]));
    OUTBUF \Diff1_pad[1]  (.D(\Diff1_c[1] ), .PAD(Diff1[1]));
    OUTBUF \Diff5_pad[8]  (.D(\Diff5_c[8] ), .PAD(Diff5[8]));
    OUTBUF \Diff4_pad[11]  (.D(\Diff4_c[11] ), .PAD(Diff4[11]));
    OUTBUF \Diff3_pad[6]  (.D(\Diff3_c[6] ), .PAD(Diff3[6]));
    OUTBUF \Diff5_pad[2]  (.D(\Diff5_c[2] ), .PAD(Diff5[2]));
    OUTBUF \Diff1_pad[9]  (.D(\Diff1_c[9] ), .PAD(Diff1[9]));
    OUTBUF \Diff1_pad[11]  (.D(\Diff1_c[11] ), .PAD(Diff1[11]));
    OUTBUF \Diff1_pad[0]  (.D(\Diff1_c[0] ), .PAD(Diff1[0]));
    GND GND_i (.Y(GND));
    OUTBUF \Diff5_pad[10]  (.D(\Diff5_c[10] ), .PAD(Diff5[10]));
    OUTBUF \Diff0_pad[9]  (.D(\Diff0_c[9] ), .PAD(Diff0[9]));
    OUTBUF \Diff0_pad[0]  (.D(\Diff0_c[0] ), .PAD(Diff0[0]));
    OUTBUF \Diff2_pad[11]  (.D(\Diff2_c[11] ), .PAD(Diff2[11]));
    OUTBUF \Latest_Update_pad[2]  (.D(\Latest_Update_c[2] ), .PAD(
        Latest_Update[2]));
    OUTBUF \Diff3_pad[8]  (.D(\Diff3_c[8] ), .PAD(Diff3[8]));
    OUTBUF \Diff3_pad[2]  (.D(\Diff3_c[2] ), .PAD(Diff3[2]));
    OUTBUF \Diff0_pad[4]  (.D(\Diff0_c[4] ), .PAD(Diff0[4]));
    OUTBUF \Diff4_pad[5]  (.D(\Diff4_c[5] ), .PAD(Diff4[5]));
    OUTBUF \Diff2_pad[1]  (.D(\Diff2_c[1] ), .PAD(Diff2[1]));
    OUTBUF \Diff5_pad[4]  (.D(\Diff5_c[4] ), .PAD(Diff5[4]));
    OUTBUF \Diff3_pad[9]  (.D(\Diff3_c[9] ), .PAD(Diff3[9]));
    OUTBUF \Diff1_pad[8]  (.D(\Diff1_c[8] ), .PAD(Diff1[8]));
    OUTBUF \Diff2_pad[0]  (.D(\Diff2_c[0] ), .PAD(Diff2[0]));
    COMP_SM COMP_SM_inst (.Diff0_c({\Diff0_c[11] , \Diff0_c[10] , 
        \Diff0_c[9] , \Diff0_c[8] , \Diff0_c[7] , \Diff0_c[6] , 
        \Diff0_c[5] , \Diff0_c[4] , \Diff0_c[3] , \Diff0_c[2] , 
        \Diff0_c[1] , \Diff0_c[0] }), .Diff5_c({\Diff5_c[11] , 
        \Diff5_c[10] , \Diff5_c[9] , \Diff5_c[8] , \Diff5_c[7] , 
        \Diff5_c[6] , \Diff5_c[5] , \Diff5_c[4] , \Diff5_c[3] , 
        \Diff5_c[2] , \Diff5_c[1] , \Diff5_c[0] }), .Latest_Update_c({
        \Latest_Update_c[2] , \Latest_Update_c[1] , 
        \Latest_Update_c[0] }), .Diff1_c({\Diff1_c[11] , \Diff1_c[10] , 
        \Diff1_c[9] , \Diff1_c[8] , \Diff1_c[7] , \Diff1_c[6] , 
        \Diff1_c[5] , \Diff1_c[4] , \Diff1_c[3] , \Diff1_c[2] , 
        \Diff1_c[1] , \Diff1_c[0] }), .Diff2_c({\Diff2_c[11] , 
        \Diff2_c[10] , \Diff2_c[9] , \Diff2_c[8] , \Diff2_c[7] , 
        \Diff2_c[6] , \Diff2_c[5] , \Diff2_c[4] , \Diff2_c[3] , 
        \Diff2_c[2] , \Diff2_c[1] , \Diff2_c[0] }), .Diff3_c({
        \Diff3_c[11] , \Diff3_c[10] , \Diff3_c[9] , \Diff3_c[8] , 
        \Diff3_c[7] , \Diff3_c[6] , \Diff3_c[5] , \Diff3_c[4] , 
        \Diff3_c[3] , \Diff3_c[2] , \Diff3_c[1] , \Diff3_c[0] }), 
        .Diff4_c({\Diff4_c[11] , \Diff4_c[10] , \Diff4_c[9] , 
        \Diff4_c[8] , \Diff4_c[7] , \Diff4_c[6] , \Diff4_c[5] , 
        \Diff4_c[4] , \Diff4_c[3] , \Diff4_c[2] , \Diff4_c[1] , 
        \Diff4_c[0] }), .SYSRSTn_c(SYSRSTn_c), .SYSCLK_c(SYSCLK_c));
    OUTBUF \Diff5_pad[5]  (.D(\Diff5_c[5] ), .PAD(Diff5[5]));
    OUTBUF \Latest_Update_pad[1]  (.D(\Latest_Update_c[1] ), .PAD(
        Latest_Update[1]));
    OUTBUF \Diff4_pad[3]  (.D(\Diff4_c[3] ), .PAD(Diff4[3]));
    OUTBUF \Diff3_pad[10]  (.D(\Diff3_c[10] ), .PAD(Diff3[10]));
    OUTBUF \Diff1_pad[7]  (.D(\Diff1_c[7] ), .PAD(Diff1[7]));
    OUTBUF \Diff4_pad[8]  (.D(\Diff4_c[8] ), .PAD(Diff4[8]));
    OUTBUF \Diff4_pad[9]  (.D(\Diff4_c[9] ), .PAD(Diff4[9]));
    OUTBUF \Diff0_pad[11]  (.D(\Diff0_c[11] ), .PAD(Diff0[11]));
    CLKBUF SYSRSTn_pad (.PAD(SYSRSTn), .Y(SYSRSTn_c));
    OUTBUF \Diff5_pad[11]  (.D(\Diff5_c[11] ), .PAD(Diff5[11]));
    VCC VCC_i_0 (.Y(VCC_net_1));
    GND GND_i_0 (.Y(GND_net_1));
    OUTBUF \Diff5_pad[0]  (.D(\Diff5_c[0] ), .PAD(Diff5[0]));
    OUTBUF \Diff3_pad[3]  (.D(\Diff3_c[3] ), .PAD(Diff3[3]));
    OUTBUF \Diff1_pad[3]  (.D(\Diff1_c[3] ), .PAD(Diff1[3]));
    
endmodule
